<?php
// Status Info DASHLET
// Copyright 2016-08-22 Troy Lea aka Box293
  

include_once(dirname(__FILE__).'/../dashlethelper.inc.php');

// run the initialization function
statusinfo_dashlet_init();

function statusinfo_dashlet_init(){
	
	// respect the name!
	$name="statusinfo";
	
	$args=array(

		// need a name
		DASHLET_NAME => $name,
		
		// informative information
		DASHLET_VERSION => "2016-08-22",
		DASHLET_DATE => "2016-08-22",
		DASHLET_AUTHOR => "Troy Lea aka Box293",
		DASHLET_DESCRIPTION => "Allows you to select a service definition and display the current status info as a Dashlet.<br><br>For example, you want to watch the free space check on a particular server (it's been fluctuating recently for no reason).<br><br>This Dashlet allows you to take the current output for the free space check and display that in nice big numbers on your own dashboard!<br><br>Add this Dashlet via Dashboards > Add Dashlets > Available Dashlets.<br><br>The more service objects you have, the more time it may take for the Dashlet Config window to be displayed<br>",
						
		DASHLET_FUNCTION => "statusinfo_dashlet_func",
		
		DASHLET_TITLE => "Status Info Dashlet",
		
		DASHLET_OUTBOARD_CLASS => "statusinfo_outboardclass",
		DASHLET_INBOARD_CLASS => "statusinfo_inboardclass",
		DASHLET_PREVIEW_CLASS => "statusinfo_previewclass",
		
		DASHLET_CSS_FILE => "statusinfo.css",
		DASHLET_JS_FILE => "statusinfo.js",

		DASHLET_WIDTH => "300px",
		DASHLET_HEIGHT => "100px",
		DASHLET_OPACITY => "1",
		DASHLET_BACKGROUND => "",

		DASHLET_REFRESHRATE => 4,
		);
	register_dashlet($name,$args);
	}

function statusinfo_dashlet_func($mode=DASHLET_MODE_PREVIEW,$id="",$args=null){
	$output="";

	$imgbase=get_dashlet_url_base("statusinfo")."/images/";
	
	switch($mode){
		case DASHLET_MODE_GETCONFIGHTML:
			// Service status fetch, brief listing, sorted by host_name
			$statusinfo_config_backendargs['cmd']='getservicestatus';
			$statusinfo_config_backendargs['has_been_checked']=1;
			$statusinfo_config_backendargs['orderby']='host_name:a,name:a';
			$statusinfo_config_backendargs['is_active']=1;
			$statusinfo_config_backendargs['brevity']=3;
			// Returns an XML object, this is NOT an array. 
			$statusinfo_config_services_xml=get_xml_service_status($statusinfo_config_backendargs);

			// Defining all the Layout images
			$statusinfo_config_layout_image_text_object_name=get_dashlet_url_base("statusinfo")."/images/text-object-name.png";
			$statusinfo_config_layout_image_text_object=get_dashlet_url_base("statusinfo")."/images/text-object.png";
			$statusinfo_config_layout_image_text_name_object=get_dashlet_url_base("statusinfo")."/images/text-name-object.png";
			$statusinfo_config_layout_image_name_object_text=get_dashlet_url_base("statusinfo")."/images/name-object-text.png";
			$statusinfo_config_layout_image_name_object=get_dashlet_url_base("statusinfo")."/images/name-object.png";
			$statusinfo_config_layout_image_name_text_object=get_dashlet_url_base("statusinfo")."/images/name-text-object.png";
			$statusinfo_config_layout_image_object_name_text=get_dashlet_url_base("statusinfo")."/images/object-name-text.png";
			$statusinfo_config_layout_image_object_name=get_dashlet_url_base("statusinfo")."/images/object-name.png";
			$statusinfo_config_layout_image_object_text_name=get_dashlet_url_base("statusinfo")."/images/object-text-name.png";
			$statusinfo_config_layout_image_object_text=get_dashlet_url_base("statusinfo")."/images/object-text.png";
			$statusinfo_config_layout_image_object=get_dashlet_url_base("statusinfo")."/images/object.png";
			
			$output='
				<label>
					Refresh the Dashlet every:
				</label>
				<div class="statusinfo-spacer0"> </div>
				<select name="statusinfo_dashlet_refresh_select" id="statusinfo_dashlet_refresh_select" size="1">
					<option value="1">1 minute</option>
					<option value="2">2 minutes</option>
					<option value="3">3 minutes</option>
					<option value="4">4 minutes</option>
					<option value="5">5 minutes</option>
					<option value="6">6 minutes</option>
					<option value="7" selected>7 minutes</option>
					<option value="8">8 minutes</option>
					<option value="9">9 minutes</option>
					<option value="10">10 minutes</option>
					<option value="11">11 minutes</option>
					<option value="12">12 minutes</option>
					<option value="13">13 minutes</option>
					<option value="14">14 minutes</option>
					<option value="15">15 minutes</option>
					<option value="16">16 minutes</option>
					<option value="17">17 minutes</option>
					<option value="18">18 minutes</option>
					<option value="19">19 minutes</option>
					<option value="20">20 minutes</option>
					<option value="25">25 minutes</option>
					<option value="30">30 minutes</option>
					<option value="60">1 hour</option>
					<option value="90">1.5 hours</option>
					<option value="120">2 hours</option>
					<option value="180">3 hours</option>
				</select>
				
				<div class="statusinfo-spacer3"> </div>
				
				<div id="config-dashlet-statusinfo-containter">
				
					<div id="menubar">
						<input type="button" class="statusinfo-menuheading2" id="id-config-dashlet-statusinfo-containter-object-page-1" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-object-page-1\')" value="Object-1">
						<input type="button" class="statusinfo-menuheading1" id="id-config-dashlet-statusinfo-containter-object-page-2" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-object-page-2\')" value="Object-2">
						<input type="button" class="statusinfo-menuheading1" id="id-config-dashlet-statusinfo-containter-text" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-text\')" value="Text">
						<input type="button" class="statusinfo-menuheading1" id="id-config-dashlet-statusinfo-containter-object-name" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-object-name\')" value="Name">
						<input type="button" class="statusinfo-menuheading1" id="id-config-dashlet-statusinfo-containter-layout" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-layout\')" value="Layout">
						<input type="button" class="statusinfo-menuheading1" id="id-config-dashlet-statusinfo-containter-preview" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-preview\')" value="Preview">
						<input type="button" class="statusinfo-menuheading1" id="id-config-dashlet-statusinfo-containter-help" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-help\')" value="Help">
						<input type="button" class="statusinfo-menuheading1" id="id-config-dashlet-statusinfo-containter-license" onclick="statusinfoToggleMenu(\'config-dashlet-statusinfo-containter-license\')" value="License">
					</div>
					
					
					<div id="config-dashlet-statusinfo-containter-object-page-1" class="statusinfo-togglediv">
					
						<div class="statusinfo-spacer5"> </div>
						<div class="statusinfo-font-weight-bold-object-1">Object Options </div>
						<label for="statusinfo_object_selected"> Please select the host or service object to be used by the Dashlet</label>

						<div class="statusinfo-spacer10"> </div>
						Hint: Click in the list and then start typing to quickly find your service
						<div class="statusinfo-spacer10"> </div>
						<select name="statusinfo_object_selected" id="statusinfo_object_selected" size="7" style="width: 595px">
							<option value="" selected></option>
							';
							foreach($statusinfo_config_services_xml->servicestatus as $service) {
								$statusinfo_config_host_id = "$service->host_id";  //the XML value needs to be wrapped in double quotes, or use strval($xml->name) to get the string value. 
								$statusinfo_config_host_name = "$service->host_name";
								$statusinfo_config_current_state = "$service->current_state";
								$statusinfo_config_service_id = "$service->service_id";
								$statusinfo_config_service_name = "$service->name";
								$statusinfo_config_status_text = "$service->status_text";
								
								// Service Option
								$output.='<option value="service~'.$statusinfo_config_host_id.'~'.$statusinfo_config_current_state.'~'.$statusinfo_config_host_name.'~'.$statusinfo_config_service_name.'~'.$statusinfo_config_service_id.'~this-was-servicestatus_id~'.$statusinfo_config_status_text.'">'.$statusinfo_config_host_name.' - '.$statusinfo_config_service_name.' - '.$statusinfo_config_status_text.'</option>';
								}
							$output.='
						</select>
						
						<div class="statusinfo-spacer10"> </div>
					
						<div id="config-dashlet-statusinfo-containter-object-1">
							<div class="statusinfo-checkitem">
								<input type="checkbox" name="statusinfo_object_state_enable" id="statusinfo_object_state_enable" value="statusinfo_object_state_enable_on" onclick="statusinfoToggleCheckbox(\'statusinfo_object_state_enable\')" class="statusinfo-checkbox" checked="yes">
								<label for="statusinfo_object_state_enable" class="statusinfo-column-object-containter-object-1">11. Show the current status underneath the object (as text)</label>
							</div> <!-- End checkitem -->
							
							<div class="statusinfo-spacer15"> </div>
							
							<div class="statusinfo-checkitem">
								<input type="checkbox" name="statusinfo_object_state_color_enable" id="statusinfo_object_state_color_enable" value="statusinfo_object_state_color_enable_on" onclick="statusinfoToggleCheckbox(\'statusinfo_object_state_color_enable\')" class="statusinfo-checkbox" checked="yes">
								<label for="statusinfo_object_state_color_enable" class="statusinfo-column-object-containter-object-1">12. Set the object background color as the current object status</label>
							</div> <!-- End checkitem -->
							
							<div class="statusinfo-spacer30"> </div>
							
							<div class="statusinfo-checkitem">
								<input type="checkbox" name="statusinfo_object_post_cut_enable" id="statusinfo_object_post_cut_enable" value="statusinfo_object_post_cut_enable_off" onclick="statusinfoToggleCheckbox(\'statusinfo_object_post_cut_enable\')" class="statusinfo-checkbox">
								<label class="statusinfo-column-object-containter-object-1">
									13. Remove the remaining output after 
									<select name="statusinfo_object_post_cut_output_select" id="statusinfo_object_post_cut_output_select" size="1">
										<option value="" selected> </option>
										<option value="1">1</option>
										<option value="2">2</option>
										<option value="3">3</option>
										<option value="4">4</option>
										<option value="5">5</option>
										<option value="6">6</option>
										<option value="7">7</option>
										<option value="8">8</option>
										<option value="9">9</option>
										<option value="10">10</option>
										<option value="11">11</option>
										<option value="12">12</option>
										<option value="13">13</option>
										<option value="14">14</option>
										<option value="15">15</option>
										<option value="16">16</option>
										<option value="17">17</option>
										<option value="18">18</option>
										<option value="19">19</option>
										<option value="20">20</option>
									</select>
									characters
								</label>
							</div> <!-- End checkitem -->
							
							<div class="statusinfo-spacer35"> </div>
							
							<div class="statusinfo-checkitem">
								<input type="checkbox" name="statusinfo_object_show_dashlet_refresh_enable" id="statusinfo_object_show_dashlet_refresh_enable" value="statusinfo_object_show_dashlet_refresh_enable_on" onclick="statusinfoToggleCheckbox(\'statusinfo_object_show_dashlet_refresh_enable\')" class="statusinfo-checkbox" checked="yes">
								<label for="statusinfo_object_show_dashlet_refresh_enable" class="statusinfo-column-object-containter-object-1">
									15. Show the last refresh time and the refresh interval underneath the object
								</label>
							</div> <!-- End checkitem -->
						</div> <!-- End config-dashlet-statusinfo-containter-object-1 -->
					
						<div id="config-dashlet-statusinfo-containter-object-2">
							<div class="statusinfo-checkitem">
								<input type="checkbox" name="statusinfo_object_pre_cut_enable" id="statusinfo_object_pre_cut_enable" value="statusinfo_object_pre_cut_enable_off" onclick="statusinfoToggleCheckbox(\'statusinfo_object_pre_cut_enable\')" class="statusinfo-checkbox">
								<label for="statusinfo_object_pre_cut_enable" class="statusinfo-column-object-containter-object-2">14. Remove characters from the begining of the object status output</label>
							</div> <!-- End checkitem -->

							<div class="statusinfo-spacer15"> </div>
							
							<div class="statusinfo-row-1">
								<div id="wrapper">	
									
									<div id="section1">	
										<div id="column1">
											<input type="checkbox" name="statusinfo_object_pre_cut_enable_ok" id="statusinfo_object_pre_cut_enable_ok" value="statusinfo_object_pre_cut_enable_ok_off" onclick="statusinfoToggleCheckbox(\'statusinfo_object_pre_cut_enable_ok\')">
										</div> <!-- End column1 -->
										
										<div id="column2">						
										</div> <!-- End column2 -->
									
									</div> <!-- End section1 -->
									
									<div id="section2">	
										<div id="column3">
											<label for="statusinfo_object_pre_cut_enable_select_ok">Pre</label>
										</div> <!-- End column3 -->
										
										<div id="column4">
											<select name="statusinfo_object_pre_cut_enable_select_ok" id="statusinfo_object_pre_cut_enable_select_ok" size="1">
												<option value="OK: " selected>\'OK: \'</option>
												<option value="Ok: ">\'Ok: \'</option>
												<option value="ok: ">\'ok: \'</option>
												<option value="OK - ">\'OK - \'</option>
												<option value="OK:">\'OK:\'</option>
												<option value="Ok:">\'Ok:\'</option>
												<option value="ok:">\'ok:\'</option>
												<option value="OK - Current BW ">\'OK - Current BW \'</option>
												<option value="SNMP OK: ">\'SNMP OK: \'</option>
												<option value="SNMP OK:">\'SNMP OK:\'</option>
												<option value="UP: ">\'UP: \'</option>
												<option value="Up: ">\'Up: \'</option>
												<option value="up: ">\'up: \'</option>
												<option value="UP - ">\'UP - \'</option>
												<option value="UP:">\'UP:\'</option>
												<option value="Up:">\'Up:\'</option>
												<option value="up:">\'up:\'</option>
											</select>
										</div> <!-- End column4 -->
									</div> <!-- End section2 -->
									
								</div> <!-- End wrapper -->

								<div id="wrapper">	
									<div id="section1">	
										<div id="column1">
											<select name="statusinfo_object_pre_cut_ok_type" id="statusinfo_object_pre_cut_ok_type">
												<option value="" selected></option>
												<option value="predefined">Pre-Defined</option>
												<option value="custom">Custom Text</option>
											</select>
										</div> <!-- End column1 -->
										
										<div id="column2">						
										</div> <!-- End column2 -->
									</div> <!-- End section1 -->
									
									<div id="section2">	
										<div id="column3">
											<label for="statusinfo_object_pre_cut_enable_ok_custom_text">Cust</label>
										</div> <!-- End column3 -->
										
										<div id="column4">
											<input type="text" name="statusinfo_object_pre_cut_enable_ok_custom_text" id="statusinfo_object_pre_cut_enable_ok_custom_text" size="9">
										</div> <!-- End column4 -->
									</div> <!-- End section2 -->
								</div> <!-- End wrapper -->
							</div> <!-- End row-1 -->
								
						
							<div class="statusinfo-row-2">
								<div id="wrapper">	
									
									<div id="section1">	
										<div id="column1">
											<input type="checkbox" name="statusinfo_object_pre_cut_enable_critical" id="statusinfo_object_pre_cut_enable_critical" value="statusinfo_object_pre_cut_enable_critical_off" onclick="statusinfoToggleCheckbox(\'statusinfo_object_pre_cut_enable_critical\')">
										</div> <!-- End column1 -->
										
										<div id="column2">						
										</div> <!-- End column2 -->
									</div> <!-- End section1 -->
									
									<div id="section2">	
										<div id="column3">
											<label for="statusinfo_object_pre_cut_enable_select_critical">Pre:</label>
										</div> <!-- End column3 -->
										
										<div id="column4">
											<select name="statusinfo_object_pre_cut_enable_select_critical" id="statusinfo_object_pre_cut_enable_select_critical" size="1">
												<option value="CRITICAL: " selected>\'CRITICAL: \'</option>
												<option value="Critical: ">\'Critical: \'</option>
												<option value="critical: ">\'critical: \'</option>
												<option value="CRITICAL - ">\'CRITICAL - \'</option>
												<option value="CRITICAL:" selected>\'CRITICAL:\'</option>
												<option value="Critical:">\'Critical:\'</option>
												<option value="critical:">\'critical:\'</option>
												<option value="DOWN: ">\'DOWN: \'</option>
												<option value="Down: ">\'Down: \'</option>
												<option value="down: ">\'down: \'</option>
												<option value="DOWN - ">\'DOWN - \'</option>
												<option value="DOWN:">\'DOWN:\'</option>
												<option value="Down:">\'Down:\'</option>
												<option value="down:">\'down:\'</option>
											</select>
										</div> <!-- End column4 -->
									</div> <!-- End section2 -->
								
								</div> <!-- End wrapper -->

								<div id="wrapper">	
									<div id="section1">	
										<div id="column1">
											<select name="statusinfo_object_pre_cut_critical_type" id="statusinfo_object_pre_cut_critical_type">
													<option value="" selected></option>
													<option value="predefined">Pre-Defined</option>
													<option value="custom">Custom Text</option>
											</select>
										</div> <!-- End column1 -->
										
										<div id="column2">						
										</div> <!-- End column2 -->
									</div> <!-- End section1 -->
									
									<div id="section2">	
										<div id="column3">
											<label for="statusinfo_object_pre_cut_enable_critical_custom_text">Cust</label>
										</div> <!-- End column3 -->
										
										<div id="column4">
											<input type="text" name="statusinfo_object_pre_cut_enable_critical_custom_text" id="statusinfo_object_pre_cut_enable_critical_custom_text" size="9">
										</div> <!-- End column4 -->
									</div> <!-- End section2 -->
								</div> <!-- End wrapper -->
							
							</div> <!-- End row-2 -->


							<div class="statusinfo-row-1">
								<div id="wrapper">	
									
									<div id="section1">	
										<div id="column1">
											<input type="checkbox" name="statusinfo_object_pre_cut_enable_warning" id="statusinfo_object_pre_cut_enable_warning" value="statusinfo_object_pre_cut_enable_warning_off" onclick="statusinfoToggleCheckbox(\'statusinfo_object_pre_cut_enable_warning\')">
										</div> <!-- End column1 -->
										
										<div id="column2">						
										</div> <!-- End column2 -->
									</div> <!-- End section1 -->
									
									<div id="section2">	
										<div id="column3">
											<label for="statusinfo_object_pre_cut_enable_select_warning">Pre</label>
										</div> <!-- End column3 -->
										
										<div id="column4">
											<select name="statusinfo_object_pre_cut_enable_select_warning" id="statusinfo_object_pre_cut_enable_select_warning" size="1">
												<option value="WARNING: " selected>\'WARNING: \'</option>
												<option value="Warning: ">\'Warning: \'</option>
												<option value="warning: ">\'warning: \'</option>
												<option value="WARNING - " selected>\'WARNING - \'</option>
												<option value="WARNING:" selected>\'WARNING:\'</option>
												<option value="Warning:">\'Warning:\'</option>
												<option value="warning:">\'warning:\'</option>
											</select>
										</div> <!-- End column4 -->
									</div> <!-- End section2 -->
									
								</div> <!-- End wrapper -->

								<div id="wrapper">	
									<div id="section1">	
										<div id="column1">
											<select name="statusinfo_object_pre_cut_warning_type" id="statusinfo_object_pre_cut_warning_type">
												<option value="" selected></option>
												<option value="predefined">Pre-Defined</option>
												<option value="custom">Custom Text</option>
											</select>
										</div> <!-- End column1 -->
										
										<div id="column2">						
										</div> <!-- End column2 -->
									</div> <!-- End section1 -->
									
									<div id="section2">	
										<div id="column3">
											<label for="statusinfo_object_pre_cut_enable_warning_custom_text">Cust</label>
										</div> <!-- End column3 -->
										
										<div id="column4">
											<input type="text" name="statusinfo_object_pre_cut_enable_warning_custom_text" id="statusinfo_object_pre_cut_enable_warning_custom_text" size="9">
										</div> <!-- End column4 -->
									</div> <!-- End section2 -->
								</div> <!-- End wrapper -->
							</div> <!-- End row-1 -->
							
						</div> <!-- End config-dashlet-statusinfo-containter-object-2 -->
					</div> <!-- End config-dashlet-statusinfo-containter-object-page-1 -->
					
					
					<div id="config-dashlet-statusinfo-containter-object-page-2" class="statusinfo-togglediv" style="display:none">
						<div id="config-dashlet-statusinfo-containter-object-3">
						
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold-object-2">Object Text Options</div>
							
							<div class="statusinfo-spacer35"> </div>
							
							<label for="statusinfo_object_text_size">Text Size</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_object_text_size" id="statusinfo_object_text_size">
								<option value="statusinfo-font-size-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-size-xx-small">XX Small</option>
								<option value="statusinfo-font-size-x-small">X Small</option>
								<option value="statusinfo-font-size-small">Small</option>
								<option value="statusinfo-font-size-medium">Medium</option>
								<option value="statusinfo-font-size-large" selected>Large</option>
								<option value="statusinfo-font-size-x-large">X Large</option>
								<option value="statusinfo-font-size-xx-large">XX Large</option>
								<option value="statusinfo-font-size-48px">48px</option>
								<option value="statusinfo-font-size-64px">64px</option>
								<option value="statusinfo-font-size-80px">80px</option>
								<option value="statusinfo-font-size-96px">96px</option>
								<option value="statusinfo-font-size-112px">112px</option>
								<option value="statusinfo-font-size-128px">128px</option>
								<option value="statusinfo-font-size-144px">144px</option>
								<option value="statusinfo-font-size-160px">160px</option>
								<option value="statusinfo-font-size-176px">176px</option>
								<option value="statusinfo-font-size-192px">192px</option>
							</select>
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_object_text_weight">Text Weight</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_object_text_weight" id="statusinfo_object_text_weight">
								<option value="statusinfo-font-weight-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-weight-normal">Normal</option>
								<option value="statusinfo-font-weight-bold" selected>Bold</option>
							</select>				
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_object_text_style">Text Style</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_object_text_style" id="statusinfo_object_text_style">
								<option value="statusinfo-font-style-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-style-normal">Normal</option>
								<option value="statusinfo-font-style-italic">Italic</option>
								<option value="statusinfo-font-style-oblique">Oblique</option>
							</select>

							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_object_text_variant">Text Variant</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_object_text_variant" id="statusinfo_object_text_variant">
								<option value="statusinfo-font-variant-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-variant-normal">Normal</option>
								<option value="statusinfo-font-variant-small-caps">Small Caps</option>
							</select>

							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_object_text_color">Text Color</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_object_text_color" id="statusinfo_object_text_color">
								<option value="statusinfo-color-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-color-aqua">Aqua</option>
								<option value="statusinfo-color-black">Black</option>
								<option value="statusinfo-color-blue">Blue</option>
								<option value="statusinfo-color-fuchsia">Fuchsia</option>
								<option value="statusinfo-color-gray">Gray</option>
								<option value="statusinfo-color-green">Green</option>
								<option value="statusinfo-color-lime">Lime</option>
								<option value="statusinfo-color-maroon">Maroon</option>
								<option value="statusinfo-color-navy">Navy</option>
								<option value="statusinfo-color-olive">Olive</option>
								<option value="statusinfo-color-purple">Purple</option>
								<option value="statusinfo-color-red">Red</option>
								<option value="statusinfo-color-silver">Silver</option>
								<option value="statusinfo-color-teal">Teal</option>
								<option value="statusinfo-color-yellow">Yellow</option>
								<option value="statusinfo-color-white">White</option>
							</select>
						</div> <!-- End config-dashlet-statusinfo-containter-object-3 -->
						
					
						<div id="config-dashlet-statusinfo-containter-object-4">
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold-object-2">11. Current State Text Options</div>
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold-object-2">15. Refresh Text Options</div>
							
							<div class="statusinfo-spacer30"> </div>
							
							<label for="statusinfo_current_state_text_size">Size</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_current_state_text_size" id="statusinfo_current_state_text_size">
								<option value="statusinfo-font-size-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-size-xx-small">XX Small</option>
								<option value="statusinfo-font-size-x-small">X Small</option>
								<option value="statusinfo-font-size-small" selected>Small</option>
								<option value="statusinfo-font-size-medium">Medium</option>
								<option value="statusinfo-font-size-large">Large</option>
								<option value="statusinfo-font-size-x-large">X Large</option>
								<option value="statusinfo-font-size-xx-large">XX Large</option>
								<option value="statusinfo-font-size-48px">48px</option>
								<option value="statusinfo-font-size-64px">64px</option>
								<option value="statusinfo-font-size-80px">80px</option>
								<option value="statusinfo-font-size-96px">96px</option>
								<option value="statusinfo-font-size-112px">112px</option>
								<option value="statusinfo-font-size-128px">128px</option>
								<option value="statusinfo-font-size-144px">144px</option>
								<option value="statusinfo-font-size-160px">160px</option>
								<option value="statusinfo-font-size-176px">176px</option>
								<option value="statusinfo-font-size-192px">192px</option>
							</select>
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_current_state_text_weight">Weight</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_current_state_text_weight" id="statusinfo_current_state_text_weight">
								<option value="statusinfo-font-weight-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-weight-normal">Normal</option>
								<option value="statusinfo-font-weight-bold">Bold</option>
							</select>				
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_current_state_text_style">Style</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_current_state_text_style" id="statusinfo_current_state_text_style">
								<option value="statusinfo-font-style-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-style-normal">Normal</option>
								<option value="statusinfo-font-style-italic" selected>Italic</option>
								<option value="statusinfo-font-style-oblique">Oblique</option>
							</select>

							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_current_state_text_variant">Variant</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_current_state_text_variant" id="statusinfo_current_state_text_variant">
								<option value="statusinfo-font-variant-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-variant-normal">Normal</option>
								<option value="statusinfo-font-variant-small-caps">Small Caps</option>
							</select>

							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_current_state_text_color">Color</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_current_state_text_color" id="statusinfo_current_state_text_color">
								<option value="statusinfo-color-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-color-aqua">Aqua</option>
								<option value="statusinfo-color-black" selected>Black</option>
								<option value="statusinfo-color-blue">Blue</option>
								<option value="statusinfo-color-fuchsia">Fuchsia</option>
								<option value="statusinfo-color-gray">Gray</option>
								<option value="statusinfo-color-green">Green</option>
								<option value="statusinfo-color-lime">Lime</option>
								<option value="statusinfo-color-maroon">Maroon</option>
								<option value="statusinfo-color-navy">Navy</option>
								<option value="statusinfo-color-olive">Olive</option>
								<option value="statusinfo-color-purple">Purple</option>
								<option value="statusinfo-color-red">Red</option>
								<option value="statusinfo-color-silver">Silver</option>
								<option value="statusinfo-color-teal">Teal</option>
								<option value="statusinfo-color-yellow">Yellow</option>
								<option value="statusinfo-color-white">White</option>
							</select>
						</div> <!-- End config-dashlet-statusinfo-containter-object-4 -->
					</div> <!-- End config-dashlet-statusinfo-containter-object-page-2 -->
					
					
					<div id="config-dashlet-statusinfo-containter-text" class="statusinfo-togglediv" style="display:none">
						<div class="statusinfo-spacer5"> </div>
						<div class="statusinfo-font-weight-bold-object-2">Text Options</div>
						<div class="statusinfo-spacer20"> </div>
						<div id="config-dashlet-statusinfo-containter-text-1">
							<div class="statusinfo-checkitem">
								<input type="checkbox" name="statusinfo_text_color_enable" id="statusinfo_text_color_enable" value="statusinfo_text_color_enable_off" onclick="statusinfoToggleCheckbox(\'statusinfo_text_color_enable\')" class="statusinfo-checkbox">
								<label for="statusinfo_text_color_enable" class="statusinfo-column-object-containter-text-1">21. Set the text background color as the current object status</label>
							</div> <!-- End checkitem -->

							<div  class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_text_value">22. Please type the text that you want in the Dashlet</label>
							<div class="statusinfo-spacer5"> </div>
							<input type="text" name="statusinfo_text_value" id="statusinfo_text_value" size="45" value="Your Text">
						</div> <!-- End config-dashlet-statusinfo-containter-text-1 -->
						
					
						<div id="config-dashlet-statusinfo-containter-text-2">
							<label for="statusinfo_text_size">22. Size</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_text_size" id="statusinfo_text_size">
								<option value="statusinfo-font-size-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-size-xx-small">XX Small</option>
								<option value="statusinfo-font-size-x-small">X Small</option>
								<option value="statusinfo-font-size-small">Small</option>
								<option value="statusinfo-font-size-medium" selected>Medium</option>
								<option value="statusinfo-font-size-large">Large</option>
								<option value="statusinfo-font-size-x-large">X Large</option>
								<option value="statusinfo-font-size-xx-large">XX Large</option>
								<option value="statusinfo-font-size-48px">48px</option>
								<option value="statusinfo-font-size-64px">64px</option>
								<option value="statusinfo-font-size-80px">80px</option>
								<option value="statusinfo-font-size-96px">96px</option>
								<option value="statusinfo-font-size-112px">112px</option>
								<option value="statusinfo-font-size-128px">128px</option>
								<option value="statusinfo-font-size-144px">144px</option>
								<option value="statusinfo-font-size-160px">160px</option>
								<option value="statusinfo-font-size-176px">176px</option>
								<option value="statusinfo-font-size-192px">192px</option>
							</select>
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_text_weight">22. Weight</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_text_weight" id="statusinfo_text_weight">
								<option value="statusinfo-font-weight-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-weight-normal">Normal</option>
								<option value="statusinfo-font-weight-bold">Bold</option>
							</select>				
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_text_style">22. Style</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_text_style" id="statusinfo_text_style">
								<option value="statusinfo-font-style-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-style-normal">Normal</option>
								<option value="statusinfo-font-style-italic">Italic</option>
								<option value="statusinfo-font-style-oblique">Oblique</option>
							</select>

							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_text_variant">22. Variant</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_text_variant" id="statusinfo_text_variant">
								<option value="statusinfo-font-variant-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-variant-normal">Normal</option>
								<option value="statusinfo-font-variant-small-caps" selected>Small Caps</option>
							</select>

							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_text_color">22. Color</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_text_color" id="statusinfo_text_color">
								<option value="statusinfo-color-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-color-aqua">Aqua</option>
								<option value="statusinfo-color-black">Black</option>
								<option value="statusinfo-color-blue">Blue</option>
								<option value="statusinfo-color-fuchsia">Fuchsia</option>
								<option value="statusinfo-color-gray" selected>Gray</option>
								<option value="statusinfo-color-green">Green</option>
								<option value="statusinfo-color-lime">Lime</option>
								<option value="statusinfo-color-maroon">Maroon</option>
								<option value="statusinfo-color-navy">Navy</option>
								<option value="statusinfo-color-olive">Olive</option>
								<option value="statusinfo-color-purple">Purple</option>
								<option value="statusinfo-color-red">Red</option>
								<option value="statusinfo-color-silver">Silver</option>
								<option value="statusinfo-color-teal">Teal</option>
								<option value="statusinfo-color-yellow">Yellow</option>
								<option value="statusinfo-color-white">White</option>
							</select>
						</div> <!-- End config-dashlet-statusinfo-containter-text-2 -->
					</div> <!-- End config-dashlet-statusinfo-containter-text -->
					
					<div id="config-dashlet-statusinfo-containter-object-name" class="statusinfo-togglediv" style="display:none">
						<div class="statusinfo-spacer5"> </div>
						<div class="statusinfo-font-weight-bold-object-2">Object Name Options:</div>
						<div class="statusinfo-spacer20"> </div>
						
						<div id="config-dashlet-statusinfo-containter-object-name-1">
							<div class="statusinfo-checkitem">
								<input type="checkbox" name="statusinfo_name_color_enable" id="statusinfo_name_color_enable" value="statusinfo_name_color_enable_off" onclick="statusinfoToggleCheckbox(\'statusinfo_name_color_enable\')" class="statusinfo-checkbox">
								<label for="statusinfo_name_color_enable" class="statusinfo-column-object-containter-name-1">31. Set the name background color as the current object status</label>
							</div> <!-- End checkitem -->
							
							<div class="statusinfo-spacer15"> </div>
							
							<label>32. Please select the name format that you want to appear in the Dashlet</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_name_format" id="statusinfo_name_format" size="1">
								<option value="host">Host</option>
								<option value="host_service_name" selected>Host - Service Name</option>
								<option value="service_name">Service Name</option>
								<option value="service_name_host">Service Name - Host</option>
							</select>
							
						<div class="statusinfo-spacer10"> </div>
						
						</div> <!-- End config-dashlet-statusinfo-containter-object-name-1 -->
						
						
						<div id="config-dashlet-statusinfo-containter-object-name-2">
							<label for="statusinfo_name_size">32. Size</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_name_size" id="statusinfo_name_size">
								<option value="statusinfo-font-size-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-size-xx-small">XX Small</option>
								<option value="statusinfo-font-size-x-small">X Small</option>
								<option value="statusinfo-font-size-small" selected>Small</option>
								<option value="statusinfo-font-size-medium">Medium</option>
								<option value="statusinfo-font-size-large">Large</option>
								<option value="statusinfo-font-size-x-large">X Large</option>
								<option value="statusinfo-font-size-xx-large">XX Large</option>
								<option value="statusinfo-font-size-48px">48px</option>
								<option value="statusinfo-font-size-64px">64px</option>
								<option value="statusinfo-font-size-80px">80px</option>
								<option value="statusinfo-font-size-96px">96px</option>
								<option value="statusinfo-font-size-112px">112px</option>
								<option value="statusinfo-font-size-128px">128px</option>
								<option value="statusinfo-font-size-144px">144px</option>
								<option value="statusinfo-font-size-160px">160px</option>
								<option value="statusinfo-font-size-176px">176px</option>
								<option value="statusinfo-font-size-192px">192px</option>
							</select>
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_name_weight">32. Weight</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_name_weight" id="statusinfo_name_weight">
								<option value="statusinfo-font-weight-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-weight-normal">Normal</option>
								<option value="statusinfo-font-weight-bold">Bold</option>
							</select>
							
							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_name_style">32. Style</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_name_style" id="statusinfo_name_style">
								<option value="statusinfo-font-style-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-style-normal">Normal</option>
								<option value="statusinfo-font-style-italic">Italic</option>
								<option value="statusinfo-font-style-oblique">Oblique</option>
							</select>

							<div class="statusinfo-spacer15"> </div>
							
							<label for="statusinfo_name_variant">32. Variant</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_name_variant" id="statusinfo_name_variant">
								<option value="statusinfo-font-variant-inherit" selected>Inherit Nagios XI CSS</option>
								<option value="statusinfo-font-variant-normal">Normal</option>
								<option value="statusinfo-font-variant-small-caps">Small Caps</option>
							</select>
							
							<div class="statusinfo-spacer15"> </div>
											
							<label for="statusinfo_name_color">32. Color</label>
							<div class="statusinfo-spacer5"> </div>
							<select name="statusinfo_name_color" id="statusinfo_name_color">
								<option value="statusinfo-color-inherit">Inherit Nagios XI CSS</option>
								<option value="statusinfo-color-aqua">Aqua</option>
								<option value="statusinfo-color-black">Black</option>
								<option value="statusinfo-color-blue">Blue</option>
								<option value="statusinfo-color-fuchsia">Fuchsia</option>
								<option value="statusinfo-color-gray">Gray</option>
								<option value="statusinfo-color-green">Green</option>
								<option value="statusinfo-color-lime">Lime</option>
								<option value="statusinfo-color-maroon" selected>Maroon</option>
								<option value="statusinfo-color-navy">Navy</option>
								<option value="statusinfo-color-olive">Olive</option>
								<option value="statusinfo-color-purple">Purple</option>
								<option value="statusinfo-color-red">Red</option>
								<option value="statusinfo-color-silver">Silver</option>
								<option value="statusinfo-color-teal">Teal</option>
								<option value="statusinfo-color-yellow">Yellow</option>
								<option value="statusinfo-color-white">White</option>
							</select>
						</div> <!-- End config-dashlet-statusinfo-containter-object-name-2 -->
					</div> <!-- End config-dashlet-statusinfo-containter-object-name -->

					
					<div id="config-dashlet-statusinfo-containter-layout" class="statusinfo-togglediv" style="display:none">
						<label>Please select the Layout style for your Dashlet</label>
						<div class="statusinfo-spacer10"> </div>
						<select name="statusinfo_layout_format" id="statusinfo_layout_format" size="1" width="50" onchange="statusinfoDisplayLayoutImage()">
							<option value="text-object-name" selected>Text - Object - Name</option>
							<option value="text-object">Text - Object</option>
							<option value="text-name-object">Text - Name - Object</option>
							<option value="name-object-text">Name - Object - Text</option>
							<option value="name-object">Name - Object</option>
							<option value="name-text-object">Name - Text - Object</option>
							<option value="object-name-text">Object - Name - Text</option>
							<option value="object-name">Object - Name</option>
							<option value="object-text-name">Object - Text - Name</option>
							<option value="object-text">Object - Text</option>
							<option value="object">Object</option>
						</select>
						
						<div class="statusinfo-spacer10"> </div>
						
						<img src="'.$statusinfo_config_layout_image_text_object_name.'" id="statusinfo_layout_image_text-object-name">
						<img src="'.$statusinfo_config_layout_image_text_object.'" id="statusinfo_layout_image_text-object" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_text_name_object.'" id="statusinfo_layout_image_text-name-object" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_name_object_text.'" id="statusinfo_layout_image_name-object-text" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_name_object.'" id="statusinfo_layout_image_name-object" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_name_text_object.'" id="statusinfo_layout_image_name-text-object" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_object_name_text.'" id="statusinfo_layout_image_object-name-text" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_object_name.'" id="statusinfo_layout_image_object-name" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_object_text_name.'" id="statusinfo_layout_image_object-text-name" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_object_text.'" id="statusinfo_layout_image_object-text" class="statusinfo-hidden">
						<img src="'.$statusinfo_config_layout_image_object.'" id="statusinfo_layout_image_object" class="statusinfo-hidden">
						
						<div class="statusinfo-spacer10"> </div>
						The image above is an example of the Layout style you have selected

						<div class="statusinfo-spacer20"> </div>

						<div class="statusinfo-checkitem">
							<input type="checkbox" name="statusinfo_link_enable" id="statusinfo_link_enable" value="statusinfo_link_enable_on" onclick="statusinfoToggleCheckbox(\'statusinfo_link_enable\')" class="statusinfo-checkbox" checked="yes">
							<label for="statusinfo_link_enable" class="statusinfo-column-object-containter-layout-1">41. Display a html link in the top right corner of the dashlet that will take you to the Service Status Detail page</label>
						</div> <!-- End checkitem -->

						<div class="statusinfo-spacer10"> </div>

						<div class="statusinfo-checkitem">
							<input type="checkbox" name="statusinfo_corner_top_left" id="statusinfo_corner_top_left" value="statusinfo_corner_top_left_on" onclick="statusinfoToggleCheckbox(\'statusinfo_corner_top_left\')" class="statusinfo-checkbox" checked="yes">
							<label for="statusinfo_corner_top_left" class="statusinfo-column-object-containter-layout-1">42. Round the top left corner of the upper object that has background color</label>
						</div> <!-- End checkitem -->
						
						<div class="statusinfo-checkitem">
							<input type="checkbox" name="statusinfo_corner_top_right" id="statusinfo_corner_top_right" value="statusinfo_corner_top_right_on" onclick="statusinfoToggleCheckbox(\'statusinfo_corner_top_right\')" class="statusinfo-checkbox" checked="yes">
							<label for="statusinfo_corner_top_right" class="statusinfo-column-object-containter-layout-1">43. Round the top right corner of the upper object that has background color</label>
						</div> <!-- End checkitem -->
						
						<div class="statusinfo-checkitem">
							<input type="checkbox" name="statusinfo_corner_bottom_left" id="statusinfo_corner_bottom_left" value="statusinfo_corner_bottom_left_on" onclick="statusinfoToggleCheckbox(\'statusinfo_corner_bottom_left\')" class="statusinfo-checkbox" checked="yes">
							<label for="statusinfo_corner_bottom_left" class="statusinfo-column-object-containter-layout-1">44. Round the bottom left corner of the lower object that has background color</label>
						</div> <!-- End checkitem -->
						
						<div class="statusinfo-checkitem">
							<input type="checkbox" name="statusinfo_corner_bottom_right" id="statusinfo_corner_bottom_right" value="statusinfo_corner_bottom_right_on" onclick="statusinfoToggleCheckbox(\'statusinfo_corner_bottom_right\')" class="statusinfo-checkbox" checked="yes">
							<label for="statusinfo_corner_bottom_right" class="statusinfo-column-object-containter-layout-1">45. Round the bottom right corner of the lower object that has background color</label>
						</div> <!-- End checkitem -->
						
					</div> <!-- End config-dashlet-statusinfo-containter-layout -->		
					
					
					<div id="config-dashlet-statusinfo-containter-preview" class="statusinfo-togglediv" style="display:none">
						<div id="config-dashlet-statusinfo-containter-preview-object">
						</div> <!-- End config-dashlet-statusinfo-containter-preview-object -->		
					</div> <!-- End config-dashlet-statusinfo-containter-preview -->		
				
					
					<div id="config-dashlet-statusinfo-containter-help" class="statusinfo-togglediv" style="display:none">
						<div class="statusinfo-font-weight-bold-help">Summary</div>

						<label id="expand_collapse" onclick="statusinfoToggleAll(\'Tab-Refresh:Tab-Object-1:Tab-Object-2:Tab-Text:Tab-Name:Tab-Layout:Tab-Preview:Tab-Help:Troubleshooting:Support:Project-Hours:My-Projects:My-Website:Tab-License\')">Expand All</label>
						
						<div class="statusinfo-spacer10"> </div>
						This Dashlet allows you to select a service definition and display the current status info as a Dashlet.
						<div class="statusinfo-spacer5"> </div>
						For example, you want to watch the free space check on a particular server <font class="statusinfo-font-style-italic">(it\'s been fluctuating recently for no reason)</font>.
						This Dashlet allows you to take the current output for the free space check and display that in nice big numbers on your own dashboard!
						<div class="statusinfo-spacer10"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Refresh\')" value="Refresh">
						</div>
						<div id="Tab-Refresh" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							This options allows you to select how often the Dashlet will be refreshed. For example this will update the status information of the free disk space check.
							<div class="statusinfo-spacer5"> </div>
							For Dashlets that were created BEFORE this functionality was introduced:
							<ul class="statusinfo-nobullets">
								<li>A default refresh interval of 7 minutes will be used</li>
								<li>If you want a different refresh interval then you will have to delete the existing Dashlet and re-create it.</li>
							</ul>
						</div> <!-- End Tab-Refresh -->
						
						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Object-1\')" value="Object-1">
						</div>
						<div id="Tab-Object-1" class="statusinfo-hidden">
							<div class="statusinfo-spacer5"> </div>
							The service Object
							<ul class="statusinfo-nobullets">
								<li>Required: <font class="statusinfo-font-weight-bold">Yes</font></li>
								<div class="statusinfo-spacer5"> </div>
								<li>Here you must select the Object that you want your Dashlet to use. It\'s output will be displayed in your Dashlet.</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							11. Show the current status underneath the object (as text)
							<ul class="statusinfo-nobullets">
								<li>Required: No</li>
								<div class="statusinfo-spacer5"> </div>
								<li>This option quickly lets you know the state of the object by displaying the state as text (especially if you are color blind or have the background color option disabled).</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							12. Set the background color as the current object status
							<ul class="statusinfo-nobullets">
								<li>Required: No</li>
								<div class="statusinfo-spacer5"> </div>
								<li>This option shows you know the Object\'s current state by the color (using Nagios standard state colors).</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							13. Remove the remaining output after X characters
							<ul class="statusinfo-nobullets">
								<li>Required: No</li>
								<div class="statusinfo-spacer5"> </div>
								<li>This is one of two options that allow you to reduce the size of the Object Text by discarding information you don\'t need to see.</li>
								<div class="statusinfo-spacer5"> </div>
								<li>For example you have the output "CPU Load 0% (5 min average)". All you need is the text at the beginning, you don\'t need the "(5 min average)" text. 
									So if you select this option and specify 13 characters (I\'m allowing for 100%) then your output will discard the "(5 min average)" text.</li>
								<div class="statusinfo-spacer5"> </div>
								<li><font class="statusinfo-font-weight-bold">NOTE:</font> If you combine this with option 14, option 14 will discard the begining text first and then option 13 will count X characters from your updated output.</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							14. Remove characters from the begining of the object status output
							<ul class="statusinfo-nobullets">
								<li>Required: No</li>
								<div class="statusinfo-spacer5"> </div>
								<li>This is one of two options that allow you to reduce the size of the Object Text by discarding information you don\'t need to see.</li>
								<div class="statusinfo-spacer5"> </div>
								<li>There are multiple states that an object can be in so multiple options have been provided to deal with these situations. For example an OK state may start with "OK: " and a critical state might be "CRITICAL: ". This all depends on how the creator of the plugin returns results to Nagios.</li>
								<div class="statusinfo-spacer5"> </div>
								<li>The dashlet allows for up to three different states that you could use or define. There is a drop down list of pre-populated common options OR you can specify your own custom text.</li>
								<div class="statusinfo-spacer5"> </div>
								<li>For example you have the output "CPU Load 0% (5 min average)". You only want to see the "0%" text, you don\'t want to see the "CPU Load" text at the begining. I set the Custom Text to be "CPU LOAD " then whenever the output starts with "CPU LOAD " it will be cut off from the beginning. <font class="statusinfo-font-weight-bold">NOTE:</font> If the text was "CPU Load" then it would be left alone because the "oad" is in lower case and is not a match.
									So if you select this option and specify 13 characters (I\'m allowing for 100%) then your output will discard the "(5 min average)" text.</li>
								<div class="statusinfo-spacer5"> </div>
								<li><font class="statusinfo-font-weight-bold">NOTE:</font> If you combine this with option 14, option 14 will discard the begining text first and then option 13 will count X characters from your updated output.</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							15. Show the last refresh time and the refresh interval underneath the object
							<ul class="statusinfo-nobullets">
								<li>Required: No</li>
								<div class="statusinfo-spacer5"> </div>
								<li>Option 15 will show the last time the Dashlet was refreshed and also the interval of the refresh.</li>
								<div class="statusinfo-spacer5"> </div>
								<li>This will appear under the object, under option "11. Show the current status underneath the object".</li>
								<div class="statusinfo-spacer5"> </div>
								<li>If you have not selected option 11, option 15 will still be displayed if selected.</li>
								<div class="statusinfo-spacer5"> </div>
								<li>Option 15 will be formatted using the same settings as option 11, as defined on the Object-2 tab.</li>
								<div class="statusinfo-spacer5"> </div>
								<li>For Dashlets that were created BEFORE this functionality was introduced:</li>
								<ul class="statusinfo-nobullets">
									<li>If you DON\'T want to display the last refresh time and interval then you will have to delete the existing Dashlet and re-create it.</li>
								</ul>
							</ul>
						</div> <!-- End Tab-Object-1 -->
						
						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Object-2\')" value="Object-2">
						</div>
						<div id="Tab-Object-2" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							Object Text Options
							<div class="statusinfo-spacer5"> </div>
							<ul class="statusinfo-nobullets">
								<li>All of these options allow you to change the Object Text formatting.</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							11. Current State Text Options
							15. Refresh Text Options
							<ul class="statusinfo-nobullets">
								<li>All of these options allow you to change the Current State Text and Refresh Text formatting.</li>
								<li>Option 11 and 15 will both use the same settings.</li>
							</ul>
						</div> <!-- End Tab-Object-2 -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Text\')" value="Text">
						</div>
						<div id="Tab-Text" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							This allows you to add additional text to your Dashlet and style it how you want.
							<div class="statusinfo-spacer5"> </div>
							21. Set the background color as the current object status
							<ul class="statusinfo-nobullets">				
								<li>Required: No</li>
								<div class="statusinfo-spacer5"> </div>
								<li>This option shows you the Object\'s current state by the color (using Nagios standard state colors).</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							22. Please type the text that you want to appear in the Dashlet
							<ul class="statusinfo-nobullets">				
								<li>Required: <font class="statusinfo-font-weight-bold">Yes</font></li>
								<div class="statusinfo-spacer5"> </div>
								<li>This lets you add some text to your Dashlet. For example the service object might be called "Environmental Temperature" however you might want to display it as "Server Room Temp". So what you could do is to disable the Name option and only display this "Server Room Temp" text.</li>
							</ul>
						</div> <!-- End Tab-Text -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Name\')" value="Name">
						</div>
						<div id="Tab-Name" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							This allows you to display the service object name.
							<div class="statusinfo-spacer5"> </div>
							31. Set the background color as the current object status
							<ul class="statusinfo-nobullets">
								<li>Required: No</li>
								<div class="statusinfo-spacer5"> </div>
								<li>This option shows you the Object\'s current state by the color (using Nagios standard state colors).</li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							32. Please select the name format that you want to appear in the Dashlet
							<ul class="statusinfo-nobullets">
								<li>Required: <font class="statusinfo-font-weight-bold">Yes</font></li>
								<div class="statusinfo-spacer5"> </div>
								<li>Select the name format from a list of predefined options.</li>
							</ul>
						</div> <!-- End Tab-Name -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Layout\')" value="Layout">
						</div>
						<div id="Tab-Layout" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							This allows you to select how you want the Dashlet displayed.
							<ul class="statusinfo-nobullets">
								<li>Required: <font class="statusinfo-font-weight-bold">Yes</font></li>
							</ul>
							<div class="statusinfo-spacer5"> </div>
							41. Display a html link in the top right corner of the dashlet that will take you to the Service Status Detail page.
							<div class="statusinfo-spacer5"> </div>
							42-45. You can also select if you want the corners rounded. This applies to any object (Text/Object/Name) that has background color. If there is more than one object that has background color, the corners apply to the upper and lower objects only.
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End Tab-Layout -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Preview\')" value="Preview">
						</div>
						<div id="Tab-Preview" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							When you click this tab you will see a preview of what your Dashlet will look like. It takes into account all the different options you have chosen.
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End Tab-Preview -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-Help\')" value="Help">
						</div>
						<div id="Tab-Help" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							You are on this tab now reading this :P
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End Tab-Help -->

						<div class="statusinfo-spacer5"> </div>

						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Troubleshooting\')" value="Troubleshooting">
						</div>
						<div id="Troubleshooting" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold">The "Add To Dashlet" window does not appear correctly</div>
							<div class="statusinfo-spacer5"> </div>
							This version of the Dashlet is optimized to be used with the XI User Interface theme "XI 5 - Modern".
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold">Internet Explorer Compatability View Issues</div>
							<div class="statusinfo-spacer5"> </div>
							The "Add To Dashlet" window does not appear correctly when Compatability View is ON
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold">Dashlet does not appear on any Dashboards</div>
							<div class="statusinfo-spacer5"> </div>
							On the "Add To Dashboard" window make sure you select a Dashboard to place the dashlet on. It\'s the drop down list under "Which Dashboard"
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold">The Dashlet is not formatted the way I intended</div>
							<div class="statusinfo-spacer5"> </div>
							On the "Add To Dashboard" window make sure you click the PREVIEW tab BEFORE clicking the "Add It" button. When you click the "Add It" button it does not perform any error checking. 
							When you are happy with the preview then click the "Add It" button.
							Clicking the Preview tab will show you exactly what the dashlet will look like and identify any errors (you may have missed selecting a required option)
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold">When I add a Dashlet it appears all squished up and the text wraps</div>
							<div class="statusinfo-spacer5"> </div>
							Resize the Dashlet until the text no longer wraps. I am yet to determine how to prevent this from happening. Once you resize it, it will remember the resized window.
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold">After I uploaded this updated version of the Status Info Dashlet, nothing appears as it should</div>
							<div class="statusinfo-spacer5"> </div>
							Most likely your browser has not updated the Cascading Style Sheets and/or the JavaScript files. Delete your temporary internet files or force the browser to refresh the page.
							<div class="statusinfo-spacer5"> </div>
							<div class="statusinfo-font-weight-bold">After I uploaded this updated version of the Status Info Dashlet, existing Dashlets may appear all squished up and the text wraps</div>
							<div class="statusinfo-spacer5"> </div>
							Resize the Dashlet until the text no longer wraps. This may be a size affect of the newer version. Once you resize it, it will remember the resized window.
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End Troubleshooting -->

						<div class="statusinfo-spacer5"> </div>

						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Support\')" value="Support and Updates">
						</div>
						<div id="Support" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							Please contact me for support via the email address <a href="mailto:dashlets@box293.com?Subject=Support%20Request:%20Peformance%20Data%20Tool" target="_top">components@box293.com</a>.
							<div class="statusinfo-spacer5"> </div>
							I always announce product updates with a Tweet, my Twitter name is @box293. Please do NOT send support requests through Twitter.
							<div class="statusinfo-spacer5"> </div>
							I have a mailing list that I will send an email to when I update this dashlet. This way you can find out as soon as a new version of this dashlet is available.
							<ul>
								<li>Send an email to <a href="updates+subscribe@box293.com?Subject=Subscribe" target="_top">updates+subscribe@box293.com</a></li>
								<li>You will receive an email with a link you need to follow to create a subscription request</li>
								<li>Click the link to open it in a web browser</li>
								<li>You will need to type your email address and click submit</li>
								<li>You will receive another email with a link you need to follow to complete your subscription</li>
								<li>You will now be subscribed!</li>
							</ul>
							Check your spam folder if the emails are not received
							<div class="statusinfo-spacer5"> </div>
							Please keep in mind that I do not charge for development and use of this dashlet so support is provided on a best effort basis. Sometimes I will get back to you in a day, sometimes in a week!
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End Support -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Project-Hours\')" value="Project Hours">
						</div>
						<div id="Project-Hours" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							Approximately 150 hours has been spent on this project. 
							<div class="statusinfo-spacer5"> </div>
							A big thanks to Mike Guthrie who helped me with some JavaScript / jQuery code. This allowed me to code the dashlet to refresh itself.
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End Project-Hours -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'My-Projects\')" value="My Projects">
						</div>
						<div id="My-Projects" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							I have created a handful of projects for Nagios XI for various reasons. Some of them are very useful indeed so I suggest you check them out, you can view them all here via <a href="http://exchange.nagios.org/directory/Owner/Box293/1" target="_blank">this link</a>.
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End My-Projects -->

						<div class="statusinfo-spacer5"> </div>
						
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'My-Website\')" value="My Website">
						</div>
						<div id="My-Website" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							I have a website that has Nagios and Nagios related information. I do a lot of test and development, so I use this website to record procedures like installing core from source on specific operating systems. It saves me re-inventing the wheel.
							<div class="statusinfo-spacer5"> </div>
							<a href="http://sites.box293.com/nagios" target="_blank">http://sites.box293.com/nagios</a>
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End My-Website -->

						<div class="statusinfo-spacer5"> </div>
									
						<div>
							<input type="button" class="statusinfo-button01" onclick="statusinfoToggleMe(\'Tab-License\')" value="License">
						</div>
						<div id="Tab-License" style="display:none">
							<div class="statusinfo-spacer5"> </div>
							This is the license for this Dashlet.
							<div class="statusinfo-spacer15"> </div>
						</div> <!-- End Tab-License -->

						
					</div> <!-- End config-dashlet-statusinfo-containter-help -->		
				
					
					<div id="config-dashlet-statusinfo-containter-license" class="statusinfo-togglediv" style="display:none">
					
						<h3 style="name-align: center;">GNU GENERAL PUBLIC LICENSE</h3>
						<p style="name-align: center;">Version 3, 29 June 2007</p>

						<p>Copyright &copy; 2007 Free Software Foundation, Inc.
						 &lt;<a href="http://fsf.org/">http://fsf.org/</a>&gt;</p><p>
						 Everyone is permitted to copy and distribute verbatim copies
						 of this license document, but changing it is not allowed.</p>

						<h3><a name="preamble"></a>Preamble</h3>

						<p>The GNU General Public License is a free, copyleft license for
						software and other kinds of works.</p>

						<p>The licenses for most software and other practical works are designed
						to take away your freedom to share and change the works.  By contrast,
						the GNU General Public License is intended to guarantee your freedom to
						share and change all versions of a program--to make sure it remains free
						software for all its users.  We, the Free Software Foundation, use the
						GNU General Public License for most of our software; it applies also to
						any other work released this way by its authors.  You can apply it to
						your programs, too.</p>

						<p>When we speak of free software, we are referring to freedom, not
						price.  Our General Public Licenses are designed to make sure that you
						have the freedom to distribute copies of free software (and charge for
						them if you wish), that you receive source code or can get it if you
						want it, that you can change the software or use pieces of it in new
						free programs, and that you know you can do these things.</p>

						<p>To protect your rights, we need to prevent others from denying you
						these rights or asking you to surrender the rights.  Therefore, you have
						certain responsibilities if you distribute copies of the software, or if
						you modify it: responsibilities to respect the freedom of others.</p>

						<p>For example, if you distribute copies of such a program, whether
						gratis or for a fee, you must pass on to the recipients the same
						freedoms that you received.  You must make sure that they, too, receive
						or can get the source code.  And you must show them these terms so they
						know their rights.</p>

						<p>Developers that use the GNU GPL protect your rights with two steps:
						(1) assert copyright on the software, and (2) offer you this License
						giving you legal permission to copy, distribute and/or modify it.</p>

						<p>For the developers\' and authors\' protection, the GPL clearly explains
						that there is no warranty for this free software.  For both users\' and
						authors\' sake, the GPL requires that modified versions be marked as
						changed, so that their problems will not be attributed erroneously to
						authors of previous versions.</p>

						<p>Some devices are designed to deny users access to install or run
						modified versions of the software inside them, although the manufacturer
						can do so.  This is fundamentally incompatible with the aim of
						protecting users\' freedom to change the software.  The systematic
						pattern of such abuse occurs in the area of products for individuals to
						use, which is precisely where it is most unacceptable.  Therefore, we
						have designed this version of the GPL to prohibit the practice for those
						products.  If such problems arise substantially in other domains, we
						stand ready to extend this provision to those domains in future versions
						of the GPL, as needed to protect the freedom of users.</p>

						<p>Finally, every program is threatened constantly by software patents.
						States should not allow patents to restrict development and use of
						software on general-purpose computers, but in those that do, we wish to
						avoid the special danger that patents applied to a free program could
						make it effectively proprietary.  To prevent this, the GPL assures that
						patents cannot be used to render the program non-free.</p>

						<p>The precise terms and conditions for copying, distribution and
						modification follow.</p>

						<h3><a name="terms"></a>TERMS AND CONDITIONS</h3>

						<h4><a name="section0"></a>0. Definitions.</h4>

						<p>&ldquo;This License&rdquo; refers to version 3 of the GNU General Public License.</p>

						<p>&ldquo;Copyright&rdquo; also means copyright-like laws that apply to other kinds of
						works, such as semiconductor masks.</p>
						 
						<p>&ldquo;The Program&rdquo; refers to any copyrightable work licensed under this
						License.  Each licensee is addressed as &ldquo;you&rdquo;.  &ldquo;Licensees&rdquo; and
						&ldquo;recipients&rdquo; may be individuals or organizations.</p>

						<p>To &ldquo;modify&rdquo; a work means to copy from or adapt all or part of the work
						in a fashion requiring copyright permission, other than the making of an
						exact copy.  The resulting work is called a &ldquo;modified version&rdquo; of the
						earlier work or a work &ldquo;based on&rdquo; the earlier work.</p>

						<p>A &ldquo;covered work&rdquo; means either the unmodified Program or a work based
						on the Program.</p>

						<p>To &ldquo;propagate&rdquo; a work means to do anything with it that, without
						permission, would make you directly or secondarily liable for
						infringement under applicable copyright law, except executing it on a
						computer or modifying a private copy.  Propagation includes copying,
						distribution (with or without modification), making available to the
						public, and in some countries other activities as well.</p>

						<p>To &ldquo;convey&rdquo; a work means any kind of propagation that enables other
						parties to make or receive copies.  Mere interaction with a user through
						a computer network, with no transfer of a copy, is not conveying.</p>

						<p>An interactive user interface displays &ldquo;Appropriate Legal Notices&rdquo;
						to the extent that it includes a convenient and prominently visible
						feature that (1) displays an appropriate copyright notice, and (2)
						tells the user that there is no warranty for the work (except to the
						extent that warranties are provided), that licensees may convey the
						work under this License, and how to view a copy of this License.  If
						the interface presents a list of user commands or options, such as a
						menu, a prominent item in the list meets this criterion.</p>

						<h4><a name="section1"></a>1. Source Code.</h4>

						<p>The &ldquo;source code&rdquo; for a work means the preferred form of the work
						for making modifications to it.  &ldquo;Object code&rdquo; means any non-source
						form of a work.</p>

						<p>A &ldquo;Standard Interface&rdquo; means an interface that either is an official
						standard defined by a recognized standards body, or, in the case of
						interfaces specified for a particular programming language, one that
						is widely used among developers working in that language.</p>

						<p>The &ldquo;System Libraries&rdquo; of an executable work include anything, other
						than the work as a whole, that (a) is included in the normal form of
						packaging a Major Component, but which is not part of that Major
						Component, and (b) serves only to enable use of the work with that
						Major Component, or to implement a Standard Interface for which an
						implementation is available to the public in source code form.  A
						&ldquo;Major Component&rdquo;, in this conname, means a major essential component
						(kernel, window system, and so on) of the specific operating system
						(if any) on which the executable work runs, or a compiler used to
						produce the work, or an object code interpreter used to run it.</p>

						<p>The &ldquo;Corresponding Source&rdquo; for a work in object code form means all
						the source code needed to generate, install, and (for an executable
						work) run the object code and to modify the work, including scripts to
						control those activities.  However, it does not include the work\'s
						System Libraries, or general-purpose tools or generally available free
						programs which are used unmodified in performing those activities but
						which are not part of the work.  For example, Corresponding Source
						includes interface definition files associated with source files for
						the work, and the source code for shared libraries and dynamically
						linked subprograms that the work is specifically designed to require,
						such as by intimate data communication or control flow between those
						subprograms and other parts of the work.</p>

						<p>The Corresponding Source need not include anything that users
						can regenerate automatically from other parts of the Corresponding
						Source.</p>

						<p>The Corresponding Source for a work in source code form is that
						same work.</p>

						<h4><a name="section2"></a>2. Basic Permissions.</h4>

						<p>All rights granted under this License are granted for the term of
						copyright on the Program, and are irrevocable provided the stated
						conditions are met.  This License explicitly affirms your unlimited
						permission to run the unmodified Program.  The output from running a
						covered work is covered by this License only if the output, given its
						content, constitutes a covered work.  This License acknowledges your
						rights of fair use or other equivalent, as provided by copyright law.</p>

						<p>You may make, run and propagate covered works that you do not
						convey, without conditions so long as your license otherwise remains
						in force.  You may convey covered works to others for the sole purpose
						of having them make modifications exclusively for you, or provide you
						with facilities for running those works, provided that you comply with
						the terms of this License in conveying all material for which you do
						not control copyright.  Those thus making or running the covered works
						for you must do so exclusively on your behalf, under your direction
						and control, on terms that prohibit them from making any copies of
						your copyrighted material outside their relationship with you.</p>

						<p>Conveying under any other circumstances is permitted solely under
						the conditions stated below.  Sublicensing is not allowed; section 10
						makes it unnecessary.</p>

						<h4><a name="section3"></a>3. Protecting Users\' Legal Rights From Anti-Circumvention Law.</h4>

						<p>No covered work shall be deemed part of an effective technological
						measure under any applicable law fulfilling obligations under article
						11 of the WIPO copyright treaty adopted on 20 December 1996, or
						similar laws prohibiting or restricting circumvention of such
						measures.</p>

						<p>When you convey a covered work, you waive any legal power to forbid
						circumvention of technological measures to the extent such circumvention
						is effected by exercising rights under this License with respect to
						the covered work, and you disclaim any intention to limit operation or
						modification of the work as a means of enforcing, against the work\'s
						users, your or third parties\' legal rights to forbid circumvention of
						technological measures.</p>

						<h4><a name="section4"></a>4. Conveying Verbatim Copies.</h4>

						<p>You may convey verbatim copies of the Program\'s source code as you
						receive it, in any medium, provided that you conspicuously and
						appropriately publish on each copy an appropriate copyright notice;
						keep intact all notices stating that this License and any
						non-permissive terms added in accord with section 7 apply to the code;
						keep intact all notices of the absence of any warranty; and give all
						recipients a copy of this License along with the Program.</p>

						<p>You may charge any price or no price for each copy that you convey,
						and you may offer support or warranty protection for a fee.</p>

						<h4><a name="section5"></a>5. Conveying Modified Source Versions.</h4>

						<p>You may convey a work based on the Program, or the modifications to
						produce it from the Program, in the form of source code under the
						terms of section 4, provided that you also meet all of these conditions:</p>

						<ul>
						<li>a) The work must carry prominent notices stating that you modified
							it, and giving a relevant date.</li>

						<li>b) The work must carry prominent notices stating that it is
							released under this License and any conditions added under section
							7.  This requirement modifies the requirement in section 4 to
							&ldquo;keep intact all notices&rdquo;.</li>

						<li>c) You must license the entire work, as a whole, under this
							License to anyone who comes into possession of a copy.  This
							License will therefore apply, along with any applicable section 7
							additional terms, to the whole of the work, and all its parts,
							regardless of how they are packaged.  This License gives no
							permission to license the work in any other way, but it does not
							invalidate such permission if you have separately received it.</li>

						<li>d) If the work has interactive user interfaces, each must display
							Appropriate Legal Notices; however, if the Program has interactive
							interfaces that do not display Appropriate Legal Notices, your
							work need not make them do so.</li>
						</ul>

						<p>A compilation of a covered work with other separate and independent
						works, which are not by their nature extensions of the covered work,
						and which are not combined with it such as to form a larger program,
						in or on a volume of a storage or distribution medium, is called an
						&ldquo;aggregate&rdquo; if the compilation and its resulting copyright are not
						used to limit the access or legal rights of the compilation\'s users
						beyond what the individual works permit.  Inclusion of a covered work
						in an aggregate does not cause this License to apply to the other
						parts of the aggregate.</p>

						<h4><a name="section6"></a>6. Conveying Non-Source Forms.</h4>

						<p>You may convey a covered work in object code form under the terms
						of sections 4 and 5, provided that you also convey the
						machine-readable Corresponding Source under the terms of this License,
						in one of these ways:</p>

						<ul>
						<li>a) Convey the object code in, or embodied in, a physical product
							(including a physical distribution medium), accompanied by the
							Corresponding Source fixed on a durable physical medium
							customarily used for software interchange.</li>

						<li>b) Convey the object code in, or embodied in, a physical product
							(including a physical distribution medium), accompanied by a
							written offer, valid for at least three years and valid for as
							long as you offer spare parts or customer support for that product
							model, to give anyone who possesses the object code either (1) a
							copy of the Corresponding Source for all the software in the
							product that is covered by this License, on a durable physical
							medium customarily used for software interchange, for a price no
							more than your reasonable cost of physically performing this
							conveying of source, or (2) access to copy the
							Corresponding Source from a network server at no charge.</li>

						<li>c) Convey individual copies of the object code with a copy of the
							written offer to provide the Corresponding Source.  This
							alternative is allowed only occasionally and noncommercially, and
							only if you received the object code with such an offer, in accord
							with subsection 6b.</li>

						<li>d) Convey the object code by offering access from a designated
							place (gratis or for a charge), and offer equivalent access to the
							Corresponding Source in the same way through the same place at no
							further charge.  You need not require recipients to copy the
							Corresponding Source along with the object code.  If the place to
							copy the object code is a network server, the Corresponding Source
							may be on a different server (operated by you or a third party)
							that supports equivalent copying facilities, provided you maintain
							clear directions next to the object code saying where to find the
							Corresponding Source.  Regardless of what server hosts the
							Corresponding Source, you remain obligated to ensure that it is
							available for as long as needed to satisfy these requirements.</li>

						<li>e) Convey the object code using peer-to-peer transmission, provided
							you inform other peers where the object code and Corresponding
							Source of the work are being offered to the general public at no
							charge under subsection 6d.</li>
						</ul>

						<p>A separable portion of the object code, whose source code is excluded
						from the Corresponding Source as a System Library, need not be
						included in conveying the object code work.</p>

						<p>A &ldquo;User Product&rdquo; is either (1) a &ldquo;consumer product&rdquo;, which means any
						tangible personal property which is normally used for personal, family,
						or household purposes, or (2) anything designed or sold for incorporation
						into a dwelling.  In determining whether a product is a consumer product,
						doubtful cases shall be resolved in favor of coverage.  For a particular
						product received by a particular user, &ldquo;normally used&rdquo; refers to a
						typical or common use of that class of product, regardless of the status
						of the particular user or of the way in which the particular user
						actually uses, or expects or is expected to use, the product.  A product
						is a consumer product regardless of whether the product has substantial
						commercial, industrial or non-consumer uses, unless such uses represent
						the only significant mode of use of the product.</p>

						<p>&ldquo;Installation Information&rdquo; for a User Product means any methods,
						procedures, authorization keys, or other information required to install
						and execute modified versions of a covered work in that User Product from
						a modified version of its Corresponding Source.  The information must
						suffice to ensure that the continued functioning of the modified object
						code is in no case prevented or interfered with solely because
						modification has been made.</p>

						<p>If you convey an object code work under this section in, or with, or
						specifically for use in, a User Product, and the conveying occurs as
						part of a transaction in which the right of possession and use of the
						User Product is transferred to the recipient in perpetuity or for a
						fixed term (regardless of how the transaction is characterized), the
						Corresponding Source conveyed under this section must be accompanied
						by the Installation Information.  But this requirement does not apply
						if neither you nor any third party retains the ability to install
						modified object code on the User Product (for example, the work has
						been installed in ROM).</p>

						<p>The requirement to provide Installation Information does not include a
						requirement to continue to provide support service, warranty, or updates
						for a work that has been modified or installed by the recipient, or for
						the User Product in which it has been modified or installed.  Access to a
						network may be denied when the modification itself materially and
						adversely affects the operation of the network or violates the rules and
						protocols for communication across the network.</p>

						<p>Corresponding Source conveyed, and Installation Information provided,
						in accord with this section must be in a format that is publicly
						documented (and with an implementation available to the public in
						source code form), and must require no special password or key for
						unpacking, reading or copying.</p>

						<h4><a name="section7"></a>7. Additional Terms.</h4>

						<p>&ldquo;Additional permissions&rdquo; are terms that supplement the terms of this
						License by making exceptions from one or more of its conditions.
						Additional permissions that are applicable to the entire Program shall
						be treated as though they were included in this License, to the extent
						that they are valid under applicable law.  If additional permissions
						apply only to part of the Program, that part may be used separately
						under those permissions, but the entire Program remains governed by
						this License without regard to the additional permissions.</p>

						<p>When you convey a copy of a covered work, you may at your option
						remove any additional permissions from that copy, or from any part of
						it.  (Additional permissions may be written to require their own
						removal in certain cases when you modify the work.)  You may place
						additional permissions on material, added by you to a covered work,
						for which you have or can give appropriate copyright permission.</p>

						<p>Notwithstanding any other provision of this License, for material you
						add to a covered work, you may (if authorized by the copyright holders of
						that material) supplement the terms of this License with terms:</p>

						<ul>
						<li>a) Disclaiming warranty or limiting liability differently from the
							terms of sections 15 and 16 of this License; or</li>

						<li>b) Requiring preservation of specified reasonable legal notices or
							author attributions in that material or in the Appropriate Legal
							Notices displayed by works containing it; or</li>

						<li>c) Prohibiting misrepresentation of the origin of that material, or
							requiring that modified versions of such material be marked in
							reasonable ways as different from the original version; or</li>

						<li>d) Limiting the use for publicity purposes of names of licensors or
							authors of the material; or</li>

						<li>e) Declining to grant rights under trademark law for use of some
							trade names, trademarks, or service marks; or</li>

						<li>f) Requiring indemnification of licensors and authors of that
							material by anyone who conveys the material (or modified versions of
							it) with contractual assumptions of liability to the recipient, for
							any liability that these contractual assumptions directly impose on
							those licensors and authors.</li>
						</ul>

						<p>All other non-permissive additional terms are considered &ldquo;further
						restrictions&rdquo; within the meaning of section 10.  If the Program as you
						received it, or any part of it, contains a notice stating that it is
						governed by this License along with a term that is a further
						restriction, you may remove that term.  If a license document contains
						a further restriction but permits relicensing or conveying under this
						License, you may add to a covered work material governed by the terms
						of that license document, provided that the further restriction does
						not survive such relicensing or conveying.</p>

						<p>If you add terms to a covered work in accord with this section, you
						must place, in the relevant source files, a statement of the
						additional terms that apply to those files, or a notice indicating
						where to find the applicable terms.</p>

						<p>Additional terms, permissive or non-permissive, may be stated in the
						form of a separately written license, or stated as exceptions;
						the above requirements apply either way.</p>

						<h4><a name="section8"></a>8. Termination.</h4>

						<p>You may not propagate or modify a covered work except as expressly
						provided under this License.  Any attempt otherwise to propagate or
						modify it is void, and will automatically terminate your rights under
						this License (including any patent licenses granted under the third
						paragraph of section 11).</p>

						<p>However, if you cease all violation of this License, then your
						license from a particular copyright holder is reinstated (a)
						provisionally, unless and until the copyright holder explicitly and
						finally terminates your license, and (b) permanently, if the copyright
						holder fails to notify you of the violation by some reasonable means
						prior to 60 days after the cessation.</p>

						<p>Moreover, your license from a particular copyright holder is
						reinstated permanently if the copyright holder notifies you of the
						violation by some reasonable means, this is the first time you have
						received notice of violation of this License (for any work) from that
						copyright holder, and you cure the violation prior to 30 days after
						your receipt of the notice.</p>

						<p>Termination of your rights under this section does not terminate the
						licenses of parties who have received copies or rights from you under
						this License.  If your rights have been terminated and not permanently
						reinstated, you do not qualify to receive new licenses for the same
						material under section 10.</p>

						<h4><a name="section9"></a>9. Acceptance Not Required for Having Copies.</h4>

						<p>You are not required to accept this License in order to receive or
						run a copy of the Program.  Ancillary propagation of a covered work
						occurring solely as a consequence of using peer-to-peer transmission
						to receive a copy likewise does not require acceptance.  However,
						nothing other than this License grants you permission to propagate or
						modify any covered work.  These actions infringe copyright if you do
						not accept this License.  Therefore, by modifying or propagating a
						covered work, you indicate your acceptance of this License to do so.</p>

						<h4><a name="section10"></a>10. Automatic Licensing of Downstream Recipients.</h4>

						<p>Each time you convey a covered work, the recipient automatically
						receives a license from the original licensors, to run, modify and
						propagate that work, subject to this License.  You are not responsible
						for enforcing compliance by third parties with this License.</p>

						<p>An &ldquo;entity transaction&rdquo; is a transaction transferring control of an
						organization, or substantially all assets of one, or subdividing an
						organization, or merging organizations.  If propagation of a covered
						work results from an entity transaction, each party to that
						transaction who receives a copy of the work also receives whatever
						licenses to the work the party\'s predecessor in interest had or could
						give under the previous paragraph, plus a right to possession of the
						Corresponding Source of the work from the predecessor in interest, if
						the predecessor has it or can get it with reasonable efforts.</p>

						<p>You may not impose any further restrictions on the exercise of the
						rights granted or affirmed under this License.  For example, you may
						not impose a license fee, royalty, or other charge for exercise of
						rights granted under this License, and you may not initiate litigation
						(including a cross-claim or counterclaim in a lawsuit) alleging that
						any patent claim is infringed by making, using, selling, offering for
						sale, or importing the Program or any portion of it.</p>

						<h4><a name="section11"></a>11. Patents.</h4>

						<p>A &ldquo;contributor&rdquo; is a copyright holder who authorizes use under this
						License of the Program or a work on which the Program is based.  The
						work thus licensed is called the contributor\'s &ldquo;contributor version&rdquo;.</p>

						<p>A contributor\'s &ldquo;essential patent claims&rdquo; are all patent claims
						owned or controlled by the contributor, whether already acquired or
						hereafter acquired, that would be infringed by some manner, permitted
						by this License, of making, using, or selling its contributor version,
						but do not include claims that would be infringed only as a
						consequence of further modification of the contributor version.  For
						purposes of this definition, &ldquo;control&rdquo; includes the right to grant
						patent sublicenses in a manner consistent with the requirements of
						this License.</p>

						<p>Each contributor grants you a non-exclusive, worldwide, royalty-free
						patent license under the contributor\'s essential patent claims, to
						make, use, sell, offer for sale, import and otherwise run, modify and
						propagate the contents of its contributor version.</p>

						<p>In the following three paragraphs, a &ldquo;patent license&rdquo; is any express
						agreement or commitment, however denominated, not to enforce a patent
						(such as an express permission to practice a patent or covenant not to
						sue for patent infringement).  To &ldquo;grant&rdquo; such a patent license to a
						party means to make such an agreement or commitment not to enforce a
						patent against the party.</p>

						<p>If you convey a covered work, knowingly relying on a patent license,
						and the Corresponding Source of the work is not available for anyone
						to copy, free of charge and under the terms of this License, through a
						publicly available network server or other readily accessible means,
						then you must either (1) cause the Corresponding Source to be so
						available, or (2) arrange to deprive yourself of the benefit of the
						patent license for this particular work, or (3) arrange, in a manner
						consistent with the requirements of this License, to extend the patent
						license to downstream recipients.  &ldquo;Knowingly relying&rdquo; means you have
						actual knowledge that, but for the patent license, your conveying the
						covered work in a country, or your recipient\'s use of the covered work
						in a country, would infringe one or more identifiable patents in that
						country that you have reason to believe are valid.</p>
						  
						<p>If, pursuant to or in connection with a single transaction or
						arrangement, you convey, or propagate by procuring conveyance of, a
						covered work, and grant a patent license to some of the parties
						receiving the covered work authorizing them to use, propagate, modify
						or convey a specific copy of the covered work, then the patent license
						you grant is automatically extended to all recipients of the covered
						work and works based on it.</p>

						<p>A patent license is &ldquo;discriminatory&rdquo; if it does not include within
						the scope of its coverage, prohibits the exercise of, or is
						conditioned on the non-exercise of one or more of the rights that are
						specifically granted under this License.  You may not convey a covered
						work if you are a party to an arrangement with a third party that is
						in the business of distributing software, under which you make payment
						to the third party based on the extent of your activity of conveying
						the work, and under which the third party grants, to any of the
						parties who would receive the covered work from you, a discriminatory
						patent license (a) in connection with copies of the covered work
						conveyed by you (or copies made from those copies), or (b) primarily
						for and in connection with specific products or compilations that
						contain the covered work, unless you entered into that arrangement,
						or that patent license was granted, prior to 28 March 2007.</p>

						<p>Nothing in this License shall be construed as excluding or limiting
						any implied license or other defenses to infringement that may
						otherwise be available to you under applicable patent law.</p>

						<h4><a name="section12"></a>12. No Surrender of Others\' Freedom.</h4>

						<p>If conditions are imposed on you (whether by court order, agreement or
						otherwise) that contradict the conditions of this License, they do not
						excuse you from the conditions of this License.  If you cannot convey a
						covered work so as to satisfy simultaneously your obligations under this
						License and any other pertinent obligations, then as a consequence you may
						not convey it at all.  For example, if you agree to terms that obligate you
						to collect a royalty for further conveying from those to whom you convey
						the Program, the only way you could satisfy both those terms and this
						License would be to refrain entirely from conveying the Program.</p>

						<h4><a name="section13"></a>13. Use with the GNU Affero General Public License.</h4>

						<p>Notwithstanding any other provision of this License, you have
						permission to link or combine any covered work with a work licensed
						under version 3 of the GNU Affero General Public License into a single
						combined work, and to convey the resulting work.  The terms of this
						License will continue to apply to the part which is the covered work,
						but the special requirements of the GNU Affero General Public License,
						section 13, concerning interaction through a network will apply to the
						combination as such.</p>

						<h4><a name="section14"></a>14. Revised Versions of this License.</h4>

						<p>The Free Software Foundation may publish revised and/or new versions of
						the GNU General Public License from time to time.  Such new versions will
						be similar in spirit to the present version, but may differ in detail to
						address new problems or concerns.</p>

						<p>Each version is given a distinguishing version number.  If the
						Program specifies that a certain numbered version of the GNU General
						Public License &ldquo;or any later version&rdquo; applies to it, you have the
						option of following the terms and conditions either of that numbered
						version or of any later version published by the Free Software
						Foundation.  If the Program does not specify a version number of the
						GNU General Public License, you may choose any version ever published
						by the Free Software Foundation.</p>

						<p>If the Program specifies that a proxy can decide which future
						versions of the GNU General Public License can be used, that proxy\'s
						public statement of acceptance of a version permanently authorizes you
						to choose that version for the Program.</p>

						<p>Later license versions may give you additional or different
						permissions.  However, no additional obligations are imposed on any
						author or copyright holder as a result of your choosing to follow a
						later version.</p>

						<h4><a name="section15"></a>15. Disclaimer of Warranty.</h4>

						<p>THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY
						APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT
						HOLDERS AND/OR OTHER PARTIES PROVidE THE PROGRAM &ldquo;AS IS&rdquo; WITHOUT WARRANTY
						OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
						THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
						PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM
						IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF
						ALL NECESSARY SERVICING, REPAIR OR CORRECTION.</p>

						<h4><a name="section16"></a>16. Limitation of Liability.</h4>

						<p>IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
						WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS
						THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
						GENERAL, SPECIAL, INCidENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
						USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF
						DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
						PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS),
						EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
						SUCH DAMAGES.</p>

						<h4><a name="section17"></a>17. Interpretation of Sections 15 and 16.</h4>

						<p>If the disclaimer of warranty and limitation of liability provided
						above cannot be given local legal effect according to their terms,
						reviewing courts shall apply local law that most closely approximates
						an absolute waiver of all civil liability in connection with the
						Program, unless a warranty or assumption of liability accompanies a
						copy of the Program in return for a fee.</p>

						<p>END OF TERMS AND CONDITIONS</p>
						<br>
					</div> <!-- End div config-dashlet-statusinfo-containter-license -->
				
				</div> <!-- End div config-dashlet-statusinfo-containter -->

				<!-- <p>MODE: $mode, id: $id</p> -->
				';
			break; // End case DASHLET_MODE_GETCONFIGHTML
			
		case DASHLET_MODE_OUTBOARD:
			break; // End case DASHLET_MODE_OUTBOARD
			
		case DASHLET_MODE_INBOARD:
			//print_r('<br>----<br>');
			//print_r($args);
			
			// Define the refresh interval
			if (isset($args['statusinfo_dashlet_refresh_select'])) {
				$statusinfo_inboard_refresh_interval = $args['statusinfo_dashlet_refresh_select']*60*1000; //JS works in milliseconds 
				}
			else {
				// Setting the default refresh rate to 7 minutes
				$statusinfo_inboard_refresh_interval = 7*60*1000; //JS works in milliseconds 
				}
			
			
			// Define a unique DIV
			$statusinfo_inboard_object_container_div = 'statusinfo_inboard_object_container_' .$id;

			$test_string = urlencode(base64_encode(serialize($args)));
			$output='
				<!-- This is the DIV that holds the inboard dashlet -->
				<div id="'.$statusinfo_inboard_object_container_div.'">
					'.get_throbber_html().'
				</div>
				
				<!-- create an anonymous function to refresh the dashlet at the user-defined interval -->
				<script type="text/javascript">
					<!-- This makes the inboard dashlet content do the inital load -->

					$.post( "/nagiosxi/includes/dashlets/statusinfo/statusinfo_inboard.php", { statusinfo_inboard_args:"'.urlencode(base64_encode(serialize($args))).'" })
					.done(function( data ) {
						$("#'.$statusinfo_inboard_object_container_div.'").html(data);
						});
					
					<!-- This makes the inboard dashlet refresh at the user-defined interval -->
					setInterval(function() {	
						$.post( "/nagiosxi/includes/dashlets/statusinfo/statusinfo_inboard.php", { statusinfo_inboard_args:"'.urlencode(base64_encode(serialize($args))).'" })
						.done(function( data ) {
							$("#'.$statusinfo_inboard_object_container_div.'").html(data);
							});
						},'.$statusinfo_inboard_refresh_interval.'); 
				</script>
				';
			
			break; // End case DASHLET_MODE_INBOARD
		
		case DASHLET_MODE_PREVIEW:
			$preview_image=get_dashlet_url_base("statusinfo")."/images/text-object.png";
			$output='
			<img src="'.$preview_image.'">
			';
			
			break;
		}
			
	return $output;
	}	
	
?>
