<?php
// statusinfo_inboard DASHLET
//
// Copyright 2016-08-22 Troy Lea aka Box293
//  

require_once(dirname(__FILE__).'/../../common.inc.php');

// initialization stuff
pre_init();
// start session
init_session();
// grab GET or POST variables 
grab_request_vars();
// check prereqs
check_prereqs();
// check authentication
check_authentication(false);

// Define the time the dashboard is refreshed
$statusinfo_inboard_timenow = date('H:i');

// Define statusinfo_output_inboard
$statusinfo_output_inboard='';

// Get all the arguments passed to us from DASHLET_MODE_INBOARD
$statusinfo_inboard_args_serial=grab_request_var('statusinfo_inboard_args',false);
$statusinfo_inboard_args = unserialize(base64_decode(urldecode($statusinfo_inboard_args_serial)));

//print_r('<br>---statusinfo_inboard_args_serial---<br>');
//print_r($statusinfo_inboard_args_serial);
//print_r('<br>------<br>');
//print_r('<br>---statusinfo_inboard_args urldecode---<br>');
//print_r(urldecode($statusinfo_inboard_args_serial));
//print_r('<br>------<br>');
//print_r('<br>---statusinfo_inboard_args base64 decoded urldecode---<br>');
//print_r(base64_decode(urldecode($statusinfo_inboard_args_serial)));
//print_r('<br>------<br>');
//print_r('<br>---statusinfo_inboard_args unserialised base64 decoded urldecode---<br>');
//print_r(unserialize(base64_decode(urldecode($statusinfo_inboard_args_serial))));
//print_r('<br>------<br>');
//print_r('<br>---statusinfo_inboard_args urldecode base64 decoded unserialised---<br>');
//print_r(urldecode(unserialize(base64_decode($statusinfo_inboard_args_serial))));
//print_r('<br>------<br>');
//print_r('<br>---statusinfo_inboard_args---<br>');
//print_r($statusinfo_inboard_args);
//print_r('<br>------<br>');

// Define the refresh interval in a human readable state
if (isset($statusinfo_inboard_args['statusinfo_dashlet_refresh_select'])) {
	$statusinfo_inboard_refresh_interval = statusinfo_refresh_rates($statusinfo_inboard_args['statusinfo_dashlet_refresh_select']);
	}
else {
	// Setting the default refresh rate to 7 minutes, required to support dashlets created before this functionality existed
	$statusinfo_inboard_refresh_interval = statusinfo_refresh_rates('7');
	}

// Define if the last refresh and refresh interval should be displayed under the object
if (isset($statusinfo_inboard_args['statusinfo_object_show_dashlet_refresh_enable'])) {
	$statusinfo_inboard_refresh_display = $statusinfo_inboard_args['statusinfo_object_show_dashlet_refresh_enable'];
	}
else {
	// Setting display last refresh and refresh interval under the object as on, required to support dashlets created before this functionality existed 
	$statusinfo_inboard_refresh_display = 'statusinfo_object_show_dashlet_refresh_enable_off';
	}
	
// Get the object that the user selected in CONFIG
if (!isset($statusinfo_inboard_args['statusinfo_object_selected'])) {
	// This allows backwards compatibility for dashlets created with version 2012-07-22
	$statusinfo_inboard_object_selected = $statusinfo_inboard_args['object_selected'];
	}
else {
	$statusinfo_inboard_object_selected = $statusinfo_inboard_args['statusinfo_object_selected'];
	}
//print_r($statusinfo_inboard_object_selected);

if (preg_match('/service/',$statusinfo_inboard_object_selected)) {
	$statusinfo_inboard_final_object = explode('~',$statusinfo_inboard_object_selected,8);
	$statusinfo_inboard_type = $statusinfo_inboard_final_object[0];
	$statusinfo_inboard_host_id = $statusinfo_inboard_final_object[1];
	$statusinfo_inboard_host_name_emergency = $statusinfo_inboard_final_object[3];
	$statusinfo_inboard_service_id = $statusinfo_inboard_final_object[5];
	$statusinfo_inboard_service_name_emergency = $statusinfo_inboard_final_object[4];
	
	$statusinfo_inboard_backendargs['cmd']='getservicestatus';
	$statusinfo_inboard_backendargs['has_been_checked']=1;
	$statusinfo_inboard_backendargs['is_active']=1;
	$statusinfo_inboard_backendargs['brevity']=3;
	$statusinfo_inboard_backendargs['service_id']=$statusinfo_inboard_service_id;

	//returns an XML object, this is NOT an array. 
	$statusinfo_inboard_services_xml=get_xml_service_status($statusinfo_inboard_backendargs);
	
	foreach($statusinfo_inboard_services_xml->servicestatus as $service) {
		$statusinfo_inboard_host_id = "$service->host_id";
		$statusinfo_inboard_host_display_name = "$service->host_name";
		$statusinfo_inboard_service_name = "$service->name";
		$statusinfo_inboard_service_display_name = "$service->display_name";
		$statusinfo_inboard_current_state = "$service->current_state";
		$statusinfo_inboard_ObjectSelectedFinal = "$service->status_text";
		
		if ($statusinfo_inboard_current_state == 0) {
			$statusinfo_inboard_current_state_color = 'statusinfo-color-background-state-service-0';
			$statusinfo_inboard_current_state_text = 'Current State: OK'; 
			}
		elseif ($statusinfo_inboard_current_state == 1) {
			$statusinfo_inboard_current_state_color = 'statusinfo-color-background-state-service-1';
			$statusinfo_inboard_current_state_text = 'Current State: Warning'; 
			}
		elseif ($statusinfo_inboard_current_state == 2) {
			$statusinfo_inboard_current_state_color = 'statusinfo-color-background-state-service-2';
			$statusinfo_inboard_current_state_text = 'Current State: Critical'; 
			}
		elseif ($statusinfo_inboard_current_state == 3) {
			$statusinfo_inboard_current_state_color = 'statusinfo-color-background-state-service-3';
			$statusinfo_inboard_current_state_text = 'Current State: Unknown'; 
			}
		} // End foreach($statusinfo_inboard_services_xml->servicestatus as $service) {
	} // End if (preg_match('/service/',$statusinfo_inboard_object_selected)) {

// Check to see if the selected object actually exists
if (!isset($statusinfo_inboard_ObjectSelectedFinal)) {
	if (!($statusinfo_inboard_args)) {
		$statusinfo_output_inboard.='
			Uh Oh something went wrong!
			<br><br>
			Perhaps the Nagios server is currently too busy to service this request.
			<br><br>
			';
		} // End if (!($statusinfo_inboard_args)) {
	else {
		$statusinfo_output_inboard.='
			Cannot find the service object "'.$statusinfo_inboard_host_name_emergency.' - '.$statusinfo_inboard_service_name_emergency.'"
			<br><br>
			If the service object is disabled or no longer exists you should delete this dashlet!
			<br><br>
			Perhaps the Nagios server is currently too busy to service this request.
			<br><br>
			Dashlet will refresh in '.$statusinfo_inboard_refresh_interval.'
			';
		} // End else {
	} // End of if ($statusinfo_inboard_ObjectSelectedFinal == '') {
else {
	// Check to see if the Link should be displayed for Service Status Detail
	if (isset($statusinfo_inboard_args['statusinfo_link_enable'])) {
		if ($statusinfo_inboard_args['statusinfo_link_enable'] == 'statusinfo_link_enable_on') {
			// Define the URL
			$service_url = get_base_url();
			$service_url .= 'includes/components/xicore/status.php?show=servicedetail&host=';
			$service_url .= urlencode($statusinfo_inboard_host_display_name);
			$service_url .= '&service=';
			$service_url .= urlencode($statusinfo_inboard_service_name);
			$statusinfo_output_inboard.='<span title="Click to open the Service Details in a new window" class="statusinfo-float-right"><a href="'.$service_url.'" target="_blank "style="text-decoration: underline;">Service Status Detail</a></span>';
			} // End if ($statusinfo_inboard_args['statusinfo_link_enable'] == 'statusinfo_link_enable_on') {
		} // End if (isset($statusinfo_inboard_args['statusinfo_link_enable'])) {

	// Get the layout format chosen and apply it
	if (!isset($statusinfo_inboard_args['statusinfo_layout_format'])) {
		// This allows backwards compatibility for dashlets created with version 2012-07-22
		$statusinfo_inboard_arg_layout_format = $statusinfo_inboard_args['layout_format'];
		}
	else {
		$statusinfo_inboard_arg_layout_format = $statusinfo_inboard_args['statusinfo_layout_format'];
		}
	//print_r($statusinfo_inboard_arg_layout_format);
	$statusinfoLayoutFormatArray = split('-', $statusinfo_inboard_arg_layout_format);

	// Some flags to determine the top and bottom color cornering
	$background_color_top_flag = 0;
	$background_color_top_div = '';
	$background_color_bottom_div = '';
	
	for ($f=0;$f<count($statusinfoLayoutFormatArray);$f++) {
		//print_r($statusinfoLayoutFormatArray[$f]);
		//print_r('<br>--<br>');
		
		switch ($statusinfoLayoutFormatArray[$f]) {
			case 'object':
				if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					if (!isset($statusinfo_inboard_args['object_pre_cut_enable'])) {
						$statusinfo_inboard_arg_object_pre_cut_enable = '';
						} // End if (!isset($statusinfo_inboard_args['object_pre_cut_enable'])) {
					else {
						$statusinfo_inboard_arg_object_pre_cut_enable = 'statusinfo_' .$statusinfo_inboard_args['object_pre_cut_enable'];
						} // End else {
					} // End if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable'])) {
				else {
					$statusinfo_inboard_arg_object_pre_cut_enable = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable'];
					}
				if ($statusinfo_inboard_arg_object_pre_cut_enable == 'statusinfo_object_pre_cut_enable_on') {
					// Pre Cut OK
					if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_ok'])) {
						// This allows backwards compatibility for dashlets created with version 2012-07-22
						$statusinfo_inboard_arg_object_pre_cut_enable_ok = 'statusinfo_' .$statusinfo_inboard_args['object_pre_cut_enable_ok'];
						}
					else {
						$statusinfo_inboard_arg_object_pre_cut_enable_ok = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_ok'];
						}
					if ($statusinfo_inboard_arg_object_pre_cut_enable_ok == 'statusinfo_object_pre_cut_enable_ok_on') {
						// Check to see if this is pre-defined
						if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_ok_type'])) {
							// This allows backwards compatibility for dashlets created with version 2012-07-22
							$statusinfo_inboard_arg_object_pre_cut_ok_type = $statusinfo_inboard_args['object_pre_cut_ok_type'];
							}
						else {
							$statusinfo_inboard_arg_object_pre_cut_ok_type = $statusinfo_inboard_args['statusinfo_object_pre_cut_ok_type'];
							}
						if ($statusinfo_inboard_arg_object_pre_cut_ok_type == 'predefined') {
							// Pre-Defined
							if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_select_ok'])) {
								// This allows backwards compatibility for dashlets created with version 2012-07-22
								$statusinfo_inboard_arg_object_pre_cut_enable_select_ok = $statusinfo_inboard_args['object_pre_cut_enable_select_ok'];
								}
							else {
								$statusinfo_inboard_arg_object_pre_cut_enable_select_ok = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_select_ok'];
								}
							// 'OK: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'OK: ') {
								if (statusinfo_starts_with('OK: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('OK: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Ok: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'Ok: ') {
								if (statusinfo_starts_with('Ok: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Ok: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'ok: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'ok: ') {
								if (statusinfo_starts_with('ok: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('ok: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'OK - '
							if (($statusinfo_inboard_arg_object_pre_cut_enable_select_ok) == 'OK - ') {
								if (statusinfo_starts_with('OK - ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('OK - ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'OK:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'OK:') {
								if (statusinfo_starts_with('OK:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('OK:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Ok:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'Ok:') {
								if (statusinfo_starts_with('Ok:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Ok:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'ok:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'ok:') {
								if (statusinfo_starts_with('ok:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('ok:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'OK - Current BW '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'OK - Current BW ') {
								if (statusinfo_starts_with('OK - Current BW ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('OK - Current BW ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'SNMP OK: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'SNMP OK: ') {
								if (statusinfo_starts_with('SNMP OK: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('SNMP OK: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'SNMP OK:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'SNMP OK:') {
								if (statusinfo_starts_with('SNMP OK:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('SNMP OK:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'UP: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'UP: ') {
								if (statusinfo_starts_with('UP: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('UP: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Up: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'Up: ') {
								if (statusinfo_starts_with('Up: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Up: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'up: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'up: ') {
								if (statusinfo_starts_with('up: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('up: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'UP - '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'UP - ') {
								if (statusinfo_starts_with('UP - ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('UP - ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'UP:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'UP:') {
								if (statusinfo_starts_with('UP:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('UP:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Up:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'Up:') {
								if (statusinfo_starts_with('Up:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Up:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'up:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_ok == 'up:') {
								if (statusinfo_starts_with('up:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('up:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							} // End Pre Cut OK Predefined
						
						// Check to see if Custom OK text was chosen
						else if ($statusinfo_inboard_arg_object_pre_cut_ok_type == 'custom') {
							// Check to see if the custom text matches
							if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_ok_custom_text'])) {
								// This allows backwards compatibility for dashlets created with version 2012-07-22
								$statusinfo_inboard_arg_object_pre_cut_enable_ok_custom_text = $statusinfo_inboard_args['object_pre_cut_enable_ok_custom_text'];
								}
							else {
								$statusinfo_inboard_arg_object_pre_cut_enable_ok_custom_text = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_ok_custom_text'];
								}
							$statusinfo_inboard_arg_object_pre_cut_enable_ok_custom_text = addcslashes($statusinfo_inboard_arg_object_pre_cut_enable_ok_custom_text, '/');
							$statusinfo_inboard_split_ok_regex = '/' . $statusinfo_inboard_arg_object_pre_cut_enable_ok_custom_text . '/';
							if (preg_match($statusinfo_inboard_split_ok_regex, $statusinfo_inboard_ObjectSelectedFinal)) {
								$statusinfo_inboard_explode_ok = preg_split($statusinfo_inboard_split_ok_regex, $statusinfo_inboard_ObjectSelectedFinal, 2);
								$statusinfo_inboard_ObjectSelectedFinal = $statusinfo_inboard_explode_ok[1];
								}
							} // End Custom OK text
						} // End Pre Cut Enable OK

					// Pre Cut Critical
					if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_critical'])) {
						// This allows backwards compatibility for dashlets created with version 2012-07-22
						if (!isset($statusinfo_inboard_args['object_pre_cut_enable_critical'])) {
							$statusinfo_inboard_arg_object_pre_cut_enable_critical = '';
							} // End if (!isset($statusinfo_inboard_args['object_pre_cut_enable_critical'])) {
						else {
							$statusinfo_inboard_arg_object_pre_cut_enable_critical = 'statusinfo_' .$statusinfo_inboard_args['object_pre_cut_enable_critical'];
							} // End else {
						} // End if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_critical'])) {
					else {
						$statusinfo_inboard_arg_object_pre_cut_enable_critical = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_critical'];
						} // End else {
					if ($statusinfo_inboard_arg_object_pre_cut_enable_critical == 'statusinfo_object_pre_cut_enable_critical_on') {
						// Check to see if this is pre-defined
						if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_critical_type'])) {
							// This allows backwards compatibility for dashlets created with version 2012-07-22
							$statusinfo_inboard_arg_object_pre_cut_critical_type = $statusinfo_inboard_args['object_pre_cut_critical_type'];
							}
						else {
							$statusinfo_inboard_arg_object_pre_cut_critical_type = $statusinfo_inboard_args['statusinfo_object_pre_cut_critical_type'];
							}
						if ($statusinfo_inboard_arg_object_pre_cut_critical_type == 'predefined') {
							if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_select_critical'])) {
								// This allows backwards compatibility for dashlets created with version 2012-07-22
								$statusinfo_inboard_arg_object_pre_cut_enable_select_critical = $statusinfo_inboard_args['object_pre_cut_enable_select_critical'];
								}
							else {
								$statusinfo_inboard_arg_object_pre_cut_enable_select_critical = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_select_critical'];
								}
							// 'CRITICAL: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'CRITICAL: ') {
								if (statusinfo_starts_with('CRITICAL: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('CRITICAL: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Critical: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'Critical: ') {
								if (statusinfo_starts_with('Critical: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Critical: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'critical: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'critical: ') {
								if (statusinfo_starts_with('critical: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('critical: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'CRITICAL - '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'CRITICAL - ') {
								if (statusinfo_starts_with('CRITICAL - ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('CRITICAL - ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'CRITICAL:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'CRITICAL:') {
								if (statusinfo_starts_with('CRITICAL:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('CRITICAL:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Critical:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'Critical:') {
								if (statusinfo_starts_with('Critical:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Critical:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'critical:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'critical:') {
								if (statusinfo_starts_with('critical:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('critical:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'DOWN: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'DOWN: ') {
								if (statusinfo_starts_with('DOWN: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('DOWN: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Down: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'Down: ') {
								if (statusinfo_starts_with('Down: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Down: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'down: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'down: ') {
								if (statusinfo_starts_with('down: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('down: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'DOWN - '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'DOWN - ') {
								if (statusinfo_starts_with('DOWN - ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('DOWN - ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'DOWN:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'DOWN:') {
								if (statusinfo_starts_with('DOWN:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('DOWN:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Down:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'Down:') {
								if (statusinfo_starts_with('Down:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Down:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'down:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_critical == 'down:') {
								if (statusinfo_starts_with('down:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('down:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							} // End Pre Cut Critical Predefined

						// Check to see if Custom Critical text was chosen
						else if ($statusinfo_inboard_arg_object_pre_cut_critical_type == 'custom') {
							// Check to see if the custom text matches
							if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_critical_custom_text'])) {
								// This allows backwards compatibility for dashlets created with version 2012-07-22
								$statusinfo_inboard_arg_object_pre_cut_enable_critical_custom_text = $statusinfo_inboard_args['object_pre_cut_enable_critical_custom_text'];
								}
							else {
								$statusinfo_inboard_arg_object_pre_cut_enable_critical_custom_text = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_critical_custom_text'];
								}
							$statusinfo_inboard_arg_object_pre_cut_enable_critical_custom_text = addcslashes($statusinfo_inboard_arg_object_pre_cut_enable_critical_custom_text, '/');
							$statusinfo_inboard_split_critical_regex = '/' . $statusinfo_inboard_arg_object_pre_cut_enable_critical_custom_text . '/';
							if (preg_match($statusinfo_inboard_split_critical_regex, $statusinfo_inboard_ObjectSelectedFinal)) {
								$statusinfo_inboard_explode_critical = preg_split($statusinfo_inboard_split_critical_regex, $statusinfo_inboard_ObjectSelectedFinal, 2);
								$statusinfo_inboard_ObjectSelectedFinal = $statusinfo_inboard_explode_critical[1];
								}
							} // End Custom Critical text
						} // End Pre Cut Critical
					
					// Pre Cut Warning
					if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning'])) {
						// This allows backwards compatibility for dashlets created with version 2012-07-22
						if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning'])) {
							$statusinfo_inboard_arg_object_pre_cut_enable_warning = '';
							} // End if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning'])) {
						else {
							$statusinfo_inboard_arg_object_pre_cut_enable_warning = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning'];
							} // End else {
						} // End if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning'])) {
					else {
						$statusinfo_inboard_arg_object_pre_cut_enable_warning = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning'];
						}
					if ($statusinfo_inboard_arg_object_pre_cut_enable_warning == 'statusinfo_object_pre_cut_enable_warning_on') {
						// Check to see if this is pre-defined
						if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_warning_type'])) {
							// This allows backwards compatibility for dashlets created with version 2012-07-22
							$statusinfo_inboard_arg_object_pre_cut_warning_type = $statusinfo_inboard_args['object_pre_cut_warning_type'];
							}
						else {
							$statusinfo_inboard_arg_object_pre_cut_warning_type = $statusinfo_inboard_args['statusinfo_object_pre_cut_warning_type'];
							}
						if ($statusinfo_inboard_arg_object_pre_cut_warning_type == 'predefined') {
							if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_select_warning'])) {
								// This allows backwards compatibility for dashlets created with version 2012-07-22
								$statusinfo_inboard_arg_object_pre_cut_enable_select_warning = $statusinfo_inboard_args['object_pre_cut_enable_select_warning'];
								}
							else {
								$statusinfo_inboard_arg_object_pre_cut_enable_select_warning = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_select_warning'];
								}
							// 'WARNING: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_warning == 'WARNING: ') {
								if (statusinfo_starts_with('WARNING: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('WARNING: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Warning: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_warning == 'Warning: ') {
								if (statusinfo_starts_with('Warning: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Warning: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'warning: '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_warning == 'warning: ') {
								if (statusinfo_starts_with('warning: ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('warning: ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'WARNING - '
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_warning == 'WARNING - ') {
								if (statusinfo_starts_with('WARNING - ',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('WARNING - ',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'WARNING:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_warning == 'WARNING:') {
								if (statusinfo_starts_with('WARNING:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('WARNING:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'Warning:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_warning == 'Warning:') {
								if (statusinfo_starts_with('Warning:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('Warning:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							// 'warning:'
							if ($statusinfo_inboard_arg_object_pre_cut_enable_select_warning == 'warning:') {
								if (statusinfo_starts_with('warning:',$statusinfo_inboard_ObjectSelectedFinal)) {
									$statusinfo_inboard_ObjectSelectedFinal = statusinfo_explode_string('warning:',$statusinfo_inboard_ObjectSelectedFinal);
									}
								}
							} // End Pre Cut Warning Predefined
						
						// Check to see if Custom Warning text was chosen
						else if ($statusinfo_inboard_arg_object_pre_cut_warning_type == 'custom') {
							// Check to see if the custom text matches
							if (!isset($statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning_custom_text'])) {
								// This allows backwards compatibility for dashlets created with version 2012-07-22
								$statusinfo_inboard_arg_object_pre_cut_enable_warning_custom_text = $statusinfo_inboard_args['object_pre_cut_enable_warning_custom_text'];
								}
							else {
								$statusinfo_inboard_arg_object_pre_cut_enable_warning_custom_text = $statusinfo_inboard_args['statusinfo_object_pre_cut_enable_warning_custom_text'];
								}
							$statusinfo_inboard_arg_object_pre_cut_enable_warning_custom_text = addcslashes($statusinfo_inboard_arg_object_pre_cut_enable_warning_custom_text, '/');
							$statusinfo_inboard_split_warning_regex = '/' . $statusinfo_inboard_arg_object_pre_cut_enable_warning_custom_text . '/';
							if (preg_match($statusinfo_inboard_split_warning_regex, $statusinfo_inboard_ObjectSelectedFinal)) {
								$statusinfo_inboard_explode_warning = preg_split($statusinfo_inboard_split_warning_regex, $statusinfo_inboard_ObjectSelectedFinal, 2);
								$statusinfo_inboard_ObjectSelectedFinal = $statusinfo_inboard_explode_warning[1];
								}
							} // End Custom Warning text
						} // End Pre Cut Warning
					} // End Pre Cut

				// See if the post cut option has been enabled
				if (!isset($statusinfo_inboard_args['statusinfo_object_post_cut_enable'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					if (!isset($statusinfo_inboard_args['object_post_cut_enable'])) {
						$statusinfo_inboard_arg_object_post_cut_enable = 'statusinfo_object_post_cut_enable';
						}
					else {
						$statusinfo_inboard_arg_object_post_cut_enable = 'statusinfo_' .$statusinfo_inboard_args['object_post_cut_enable'];
						}
					}
				else {
					$statusinfo_inboard_arg_object_post_cut_enable = $statusinfo_inboard_args['statusinfo_object_post_cut_enable'];
					}
				if ($statusinfo_inboard_arg_object_post_cut_enable == 'statusinfo_object_post_cut_enable_on') {
					if (!isset($statusinfo_inboard_args['statusinfo_object_post_cut_output_select'])) {
						// This allows backwards compatibility for dashlets created with version 2012-07-22
						$statusinfo_inboard_arg_object_post_cut_output_select = $statusinfo_inboard_args['object_post_cut_output_select'];
						}
					else {
						$statusinfo_inboard_arg_object_post_cut_output_select = $statusinfo_inboard_args['statusinfo_object_post_cut_output_select'];
						}
					$statusinfo_inboard_ObjectSelectedFinal = substr($statusinfo_inboard_ObjectSelectedFinal, 0, $statusinfo_inboard_arg_object_post_cut_output_select);
					} // End Post Cut
				
				// Set the Object background Color
				if (!isset($statusinfo_inboard_args['statusinfo_object_state_color_enable'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_object_state_color_enable = 'statusinfo_object_state_color_enable_off';
					}
				else {
					$statusinfo_inboard_arg_object_state_color_enable = $statusinfo_inboard_args['statusinfo_object_state_color_enable'];
					}
				if ($statusinfo_inboard_arg_object_state_color_enable == 'statusinfo_object_state_color_enable_on') {
					// The color
					$statusinfo_inboard_object_state_color = $statusinfo_inboard_current_state_color;

					// Determine if top corners are needed
					if ($f == 0) {
						// It's the top div and colors are enabled so it's needed
						$background_color_top_div = 'statusinfo_inboard_object_background_color';
						$background_color_top_flag = 1;
						}
					else if ($background_color_top_flag == 0) {
						// Top corners haven't been done yet so apply
						$background_color_top_div = 'statusinfo_inboard_object_background_color';
						// Trigger the flag
						$background_color_top_flag = 1;
						}

					// Bottom corners 
					$background_color_bottom_div = 'statusinfo_inboard_object_background_color';
					}
				else	{
					$statusinfo_inboard_object_state_color = 'statusinfo-color-background-inherit';
					}
				
				// Lets Display the Object
				if (!isset($statusinfo_inboard_args['statusinfo_object_text_size'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_object_text_size = 'statusinfo-' .$statusinfo_inboard_args['object_text_size'];
					}
				else {
					$statusinfo_inboard_arg_object_text_size = $statusinfo_inboard_args['statusinfo_object_text_size'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_object_text_weight'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_object_text_weight = 'statusinfo-' .$statusinfo_inboard_args['object_text_weight'];
					}
				else {
					$statusinfo_inboard_arg_object_text_weight = $statusinfo_inboard_args['statusinfo_object_text_weight'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_object_text_style'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_object_text_style = 'statusinfo-' .$statusinfo_inboard_args['object_text_style'];
					}
				else {
					$statusinfo_inboard_arg_object_text_style = $statusinfo_inboard_args['statusinfo_object_text_style'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_object_text_variant'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_object_text_variant = 'statusinfo-' .$statusinfo_inboard_args['object_text_variant'];
					}
				else {
					$statusinfo_inboard_arg_object_text_variant = $statusinfo_inboard_args['statusinfo_object_text_variant'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_object_text_color'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_object_text_color = 'statusinfo-' .$statusinfo_inboard_args['object_text_color'];
					}
				else {
					$statusinfo_inboard_arg_object_text_color = $statusinfo_inboard_args['statusinfo_object_text_color'];
					}
				$statusinfo_output_inboard.='
				<div id="statusinfo_inboard_object_background_color" class="'.$statusinfo_inboard_object_state_color.'">
					<div id="statusinfo_inboard_object_text_size" class="'.$statusinfo_inboard_arg_object_text_size.'">
						<div id="statusinfo_inboard_object_text_weight" class="'.$statusinfo_inboard_arg_object_text_weight.'">
							<div id="statusinfo_inboard_object_text_style" class="'.$statusinfo_inboard_arg_object_text_style.'">
								<div id="statusinfo_inboard_object_text_variant" class="'.$statusinfo_inboard_arg_object_text_variant.'">
									<div id="statusinfo_inboard_object_text_color" class="'.$statusinfo_inboard_arg_object_text_color.'">
										<div id="statusinfo_inboard_object_text_final">
											'.$statusinfo_inboard_ObjectSelectedFinal.'
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					';
				// See if the Object State has been enabled
				if (!isset($statusinfo_inboard_args['statusinfo_object_state_enable'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_object_state_enable = '';
					}
				else {
					$statusinfo_inboard_arg_object_state_enable = $statusinfo_inboard_args['statusinfo_object_state_enable'];
					}
					
				if (!isset($statusinfo_inboard_args['statusinfo_current_state_text_size'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_current_state_text_size = 'statusinfo-' .$statusinfo_inboard_args['current_state_text_size'];
					}
				else {
					$statusinfo_inboard_arg_current_state_text_size = $statusinfo_inboard_args['statusinfo_current_state_text_size'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_current_state_text_weight'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_current_state_text_weight = 'statusinfo-' .$statusinfo_inboard_args['current_state_text_weight'];
					}
				else {
					$statusinfo_inboard_arg_current_state_text_weight = $statusinfo_inboard_args['statusinfo_current_state_text_weight'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_current_state_text_style'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_current_state_text_style = 'statusinfo-' .$statusinfo_inboard_args['current_state_text_style'];
					}
				else {
					$statusinfo_inboard_arg_current_state_text_style = $statusinfo_inboard_args['statusinfo_current_state_text_style'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_current_state_text_variant'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_current_state_text_variant = 'statusinfo-' .$statusinfo_inboard_args['current_state_text_variant'];
					}
				else {
					$statusinfo_inboard_arg_current_state_text_variant = $statusinfo_inboard_args['statusinfo_current_state_text_variant'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_current_state_text_color'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_current_state_text_color = 'statusinfo-' .$statusinfo_inboard_args['current_state_text_color'];
					}
				else {
					$statusinfo_inboard_arg_current_state_text_color = $statusinfo_inboard_args['statusinfo_current_state_text_color'];
					}
			
				if ($statusinfo_inboard_arg_object_state_enable == 'statusinfo_object_state_enable_on') {
					$statusinfo_output_inboard.='
						<div id="statusinfo_inboard_current_state_text_size" class="'.$statusinfo_inboard_arg_current_state_text_size.'">
							<div id="statusinfo_inboard_current_state_text_weight" class="'.$statusinfo_inboard_arg_current_state_text_weight.'">
								<div id="statusinfo_inboard_current_state_text_style" class="'.$statusinfo_inboard_arg_current_state_text_style.'">
									<div id="statusinfo_inboard_current_state_text_variant" class="'.$statusinfo_inboard_arg_current_state_text_variant.'">
										<div id="statusinfo_inboard_current_state_text_color" class="'.$statusinfo_inboard_arg_current_state_text_color.'">
											<div id="statusinfo_inboard_current_state_text">
												'.$statusinfo_inboard_current_state_text.'
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>	
						';
					}
				// See if the last refresh and interval should be displayed
				// This uses the Object State formatting options
				if ($statusinfo_inboard_refresh_display == 'statusinfo_object_show_dashlet_refresh_enable_on') {
					$statusinfo_output_inboard.='
						<div id="statusinfo_inboard_show_dashlet_refresh_text_size" class="'.$statusinfo_inboard_arg_current_state_text_size.'">
							<div id="statusinfo_inboard_show_dashlet_refresh_text_weight" class="'.$statusinfo_inboard_arg_current_state_text_weight.'">
								<div id="statusinfo_inboard_show_dashlet_refresh_text_style" class="'.$statusinfo_inboard_arg_current_state_text_style.'">
									<div id="statusinfo_inboard_show_dashlet_refresh_text_variant" class="'.$statusinfo_inboard_arg_current_state_text_variant.'">
										<div id="statusinfo_inboard_show_dashlet_refresh_text_color" class="'.$statusinfo_inboard_arg_current_state_text_color.'">
											<div id="statusinfo_inboard_refresh_time_interval">
												Last Refresh: '.$statusinfo_inboard_timenow.' Interval: '.$statusinfo_inboard_refresh_interval.'
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>	
						';
					}
				$statusinfo_output_inboard.='
				</div>
				';
				break; // End of case Object
				
			
			case 'text':  
				// Set the Text background Color
				if (!isset($statusinfo_inboard_args['statusinfo_text_color_enable'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					if (!isset($statusinfo_inboard_args['text_color_enable'])) {
						$statusinfo_inboard_arg_text_color_enable = 'statusinfo-color-background-inherit';
						}
					else {
						$statusinfo_inboard_arg_text_color_enable = 'statusinfo_' .$statusinfo_inboard_args['text_color_enable'];
						}
					}
				else {
					$statusinfo_inboard_arg_text_color_enable = $statusinfo_inboard_args['statusinfo_text_color_enable'];
					}
				if ($statusinfo_inboard_arg_text_color_enable == 'statusinfo_text_color_enable_on') {
					$statusinfo_inboard_text_state_color = $statusinfo_inboard_current_state_color;

					// Determine if top corners are needed
					if ($f == 0) {
						// It's the top div and colors are enabled so it's needed
						$background_color_top_div = 'statusinfo_inboard_text_background_color';
						$background_color_top_flag = 1;
						}
					else if ($background_color_top_flag == 0) {
						// Top corners haven't been done yet so apply
						$background_color_top_div = 'statusinfo_inboard_text_background_color';
						// Trigger the flag
						$background_color_top_flag = 1;
						}

					// Bottom corners 
					$background_color_bottom_div = 'statusinfo_inboard_text_background_color';
					}
				else {
					$statusinfo_inboard_text_state_color = 'statusinfo-color-background-inherit';
					}
				
				if (!isset($statusinfo_inboard_args['statusinfo_text_size'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_text_size = 'statusinfo-' .$statusinfo_inboard_args['text_size'];
					}
				else {
					$statusinfo_inboard_arg_text_size = $statusinfo_inboard_args['statusinfo_text_size'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_text_weight'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_text_weight = 'statusinfo-' .$statusinfo_inboard_args['text_weight'];
					}
				else {
					$statusinfo_inboard_arg_text_weight = $statusinfo_inboard_args['statusinfo_text_weight'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_text_style'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_text_style = 'statusinfo-' .$statusinfo_inboard_args['text_style'];
					}
				else {
					$statusinfo_inboard_arg_text_style = $statusinfo_inboard_args['statusinfo_text_style'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_text_variant'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_text_variant = 'statusinfo-' .$statusinfo_inboard_args['text_variant'];
					}
				else {
					$statusinfo_inboard_arg_text_variant = $statusinfo_inboard_args['statusinfo_text_variant'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_text_color'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_text_color = 'statusinfo-' .$statusinfo_inboard_args['text_color'];
					}
				else {
					$statusinfo_inboard_arg_text_color = $statusinfo_inboard_args['statusinfo_text_color'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_text_value'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_text_value = $statusinfo_inboard_args['text_value'];
					}
				else {
					$statusinfo_inboard_arg_text_value = $statusinfo_inboard_args['statusinfo_text_value'];
					}
			
				// Lets Display the Text
				$statusinfo_output_inboard.='
				<div id="statusinfo_inboard_text_background_color" class="'.$statusinfo_inboard_text_state_color.'">
					<div id="statusinfo_inboard_text_size" class="'.$statusinfo_inboard_arg_text_size.'">
						<div id="statusinfo_inboard_text_weight" class="'.$statusinfo_inboard_arg_text_weight.'">
							<div id="statusinfo_inboard_text_style" class="'.$statusinfo_inboard_arg_text_style.'">
								<div id="statusinfo_inboard_text_variant" class="'.$statusinfo_inboard_arg_text_variant.'">
									<div id="statusinfo_inboard_text_color" class="'.$statusinfo_inboard_arg_text_color.'">
										<div id="statusinfo_inboard_text_final">
											'.$statusinfo_inboard_arg_text_value.'
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				';
				break; // End of case Text
				
			
			case 'name':  
				// Set the Name background Color
				$statusinfo_inboard_name_state_color = $statusinfo_inboard_current_state_color;
				
				if (!isset($statusinfo_inboard_args['statusinfo_name_color_enable'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					if (!isset($statusinfo_inboard_args['name_color_enable'])) {
						$statusinfo_inboard_arg_name_color_enable = 'statusinfo_name_color_enable';
						}
					else {
						$statusinfo_inboard_arg_name_color_enable = 'statusinfo_' .$statusinfo_inboard_args['name_color_enable'];
						}
					}
				else {
					$statusinfo_inboard_arg_name_color_enable = $statusinfo_inboard_args['statusinfo_name_color_enable'];
					}
				
				if ($statusinfo_inboard_arg_name_color_enable == 'statusinfo_name_color_enable_on') {
					$statusinfo_inboard_arg_name_color_enable = $statusinfo_inboard_current_state_color;

					// Determine if top corners are needed
					if ($f == 0) {
						// It's the top div and colors are enabled so it's needed
						$background_color_top_div = 'statusinfo_inboard_name_background_color';
						$background_color_top_flag = 1;
						}
					else if ($background_color_top_flag == 0) {
						// Top corners haven't been done yet so apply
						$background_color_top_div = 'statusinfo_inboard_name_background_color';
						// Trigger the flag
						$background_color_top_flag = 1;
						}

					// Bottom corners 
					$background_color_bottom_div = 'statusinfo_inboard_name_background_color';
					}
				else {
					$statusinfo_inboard_name_state_color = 'statusinfo-color-background-inherit';
					}
				
				// Get the Name Format
				if (!isset($statusinfo_inboard_args['statusinfo_name_format'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_name_format = $statusinfo_inboard_args['name_format'];
					}
				else {
					$statusinfo_inboard_arg_name_format = $statusinfo_inboard_args['statusinfo_name_format'];
					}
				$statusinfo_inboard_name_format = $statusinfo_inboard_arg_name_format;
				// Host
				if ($statusinfo_inboard_name_format == 'host') {
					$statusinfo_inboard_name = $statusinfo_inboard_host_display_name;
					}
				// Host - Service Name
				if ($statusinfo_inboard_name_format == 'host_service_name') {
					$statusinfo_inboard_name = $statusinfo_inboard_host_display_name . ' - ';
					if ($statusinfo_inboard_type == 'host') {
						$statusinfo_inboard_name = $statusinfo_inboard_name . 'Host Up/Down Service Check';
						}
					elseif ($statusinfo_inboard_type == 'service') {
						$statusinfo_inboard_name = $statusinfo_inboard_name . $statusinfo_inboard_service_display_name;
						}
					}
				// Service Name
				if ($statusinfo_inboard_name_format == 'service_name') {
					if ($statusinfo_inboard_type == 'host') {
						$statusinfo_inboard_name = 'Host Up/Down Service Check';
						}
					elseif ($statusinfo_inboard_type == 'service') {
						$statusinfo_inboard_name = $statusinfo_inboard_service_display_name;
						}
					}
				// Service Name - Host
				if ($statusinfo_inboard_name_format == 'service_name_host') {
					if ($statusinfo_inboard_type == 'host') {
						$statusinfo_inboard_name = 'Host Up/Down Service Check - ';
						}
					elseif ($statusinfo_inboard_type == 'service') {
						$statusinfo_inboard_name = $statusinfo_inboard_service_display_name . ' - ';
						}
					$statusinfo_inboard_name = $statusinfo_inboard_name . $statusinfo_inboard_host_display_name;
					}
				
				if (!isset($statusinfo_inboard_args['statusinfo_name_size'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_name_size = 'statusinfo-' .$statusinfo_inboard_args['name_size'];
					}
				else {
					$statusinfo_inboard_arg_name_size = $statusinfo_inboard_args['statusinfo_name_size'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_name_weight'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_name_weight = 'statusinfo-' .$statusinfo_inboard_args['name_weight'];
					}
				else {
					$statusinfo_inboard_arg_name_weight = $statusinfo_inboard_args['statusinfo_name_weight'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_name_style'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_name_style = 'statusinfo-' .$statusinfo_inboard_args['name_style'];
					}
				else {
					$statusinfo_inboard_arg_name_style = $statusinfo_inboard_args['statusinfo_name_style'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_name_variant'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_name_variant = 'statusinfo-' .$statusinfo_inboard_args['name_variant'];
					}
				else {
					$statusinfo_inboard_arg_name_variant = $statusinfo_inboard_args['statusinfo_name_variant'];
					}
				if (!isset($statusinfo_inboard_args['statusinfo_name_color'])) {
					// This allows backwards compatibility for dashlets created with version 2012-07-22
					$statusinfo_inboard_arg_name_color = 'statusinfo-' .$statusinfo_inboard_args['name_color'];
					}
				else {
					$statusinfo_inboard_arg_name_color = $statusinfo_inboard_args['statusinfo_name_color'];
					}
							
				// Lets Display the Name
				$statusinfo_output_inboard.='
				<div id="statusinfo_inboard_name_background_color" class="'.$statusinfo_inboard_name_state_color.'">
					<div id="statusinfo_inboard_name_size" class="'.$statusinfo_inboard_arg_name_size.'">
						<div id="statusinfo_inboard_name_weight" class="'.$statusinfo_inboard_arg_name_weight.'">
							<div id="statusinfo_inboard_name_style" class="'.$statusinfo_inboard_arg_name_style.'">
								<div id="statusinfo_inboard_name_variant" class="'.$statusinfo_inboard_arg_name_variant.'">
									<div id="statusinfo_inboard_name_color" class="'.$statusinfo_inboard_arg_name_color.'">
										<div id="statusinfo_inboard_name_final">
											'.$statusinfo_inboard_name.'
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				';
				break; // End of case Name
			} // End of switch 

		} // End of for statusinfoLayoutFormatArray

	// Now to apply the corners
	if (isset($statusinfo_inboard_args['statusinfo_corner_top_left'])) {
		if ($statusinfo_inboard_args['statusinfo_corner_top_left'] == 'statusinfo_corner_top_left_on') {
			$statusinfo_output_inboard = statusinfo_div_insert($statusinfo_output_inboard, 'statusinfo-rounded-top-left ', $background_color_top_div);
			} // End if ($statusinfo_inboard_args['statusinfo_corner_top_left'] == 'statusinfo_corner_top_left_on') {
		} // End if (isset($statusinfo_inboard_args['statusinfo_corner_top_left'])) {

	if (isset($statusinfo_inboard_args['statusinfo_corner_top_right'])) {
		if ($statusinfo_inboard_args['statusinfo_corner_top_right'] == 'statusinfo_corner_top_right_on') {
			$statusinfo_output_inboard = statusinfo_div_insert($statusinfo_output_inboard, 'statusinfo-rounded-top-right ', $background_color_top_div);
			} // End if ($statusinfo_inboard_args['statusinfo_corner_top_right'] == 'statusinfo_corner_top_right_on') {
		} // End if (isset($statusinfo_inboard_args['statusinfo_corner_top_right'])) {

	if (isset($statusinfo_inboard_args['statusinfo_corner_bottom_left'])) {
		if ($statusinfo_inboard_args['statusinfo_corner_bottom_left'] == 'statusinfo_corner_bottom_left_on') {
			$statusinfo_output_inboard = statusinfo_div_insert($statusinfo_output_inboard, 'statusinfo-rounded-bottom-left ', $background_color_bottom_div);
			} // End if ($statusinfo_inboard_args['statusinfo_corner_bottom_left'] == 'statusinfo_corner_bottom_left_on') {
		} // End if (isset($statusinfo_inboard_args['statusinfo_corner_bottom_left'])) {

	if (isset($statusinfo_inboard_args['statusinfo_corner_bottom_right'])) {
		if ($statusinfo_inboard_args['statusinfo_corner_bottom_right'] == 'statusinfo_corner_bottom_right_on') {
			$statusinfo_output_inboard = statusinfo_div_insert($statusinfo_output_inboard, 'statusinfo-rounded-bottom-right ', $background_color_bottom_div);
			} // End if ($statusinfo_inboard_args['statusinfo_corner_bottom_right'] == 'statusinfo_corner_bottom_right_on') {
		} // End if (isset($statusinfo_inboard_args['statusinfo_corner_bottom_right'])) {

	} // End of else when service object exists


// Display the dashlet
print $statusinfo_output_inboard;


// Function to insert class into a div
function statusinfo_div_insert($original_string, $class_to_insert, $div_to_insert) {
	$div_location = '<div id="' . $div_to_insert . '" class="';
	$div_insert_position = strpos($original_string, $div_location) + strlen($div_location);
	$return_string = substr_replace($original_string, $class_to_insert, $div_insert_position, 0);

	return $return_string;
	} // End function statusinfo_div_insert($original_string, $class_to_insert, $div_to_insert) {


// A function to turn the minute number into a human readable string
function statusinfo_refresh_rates($status_info_defined_interval) {
	switch($status_info_defined_interval){
		case 1:
			$status_info_human_interval = '1 minute';
			break;
		
		case 2:
			$status_info_human_interval = '2 minutes';
			break;
		
		case 3:
			$status_info_human_interval = '3 minutes';
			break;
		
		case 4:
			$status_info_human_interval = '4 minutes';
			break;
		
		case 5:
			$status_info_human_interval = '5 minutes';
			break;
		
		case 6:
			$status_info_human_interval = '6 minutes';
			break;
		
		case 7:
			$status_info_human_interval = '7 minutes';
			break;
		
		case 8:
			$status_info_human_interval = '8 minutes';
			break;
		
		case 9:
			$status_info_human_interval = '9 minutes';
			break;
		
		case 10:
			$status_info_human_interval = '10 minutes';
			break;
		
		case 12:
			$status_info_human_interval = '12 minutes';
			break;
		
		case 13:
			$status_info_human_interval = '13 minutes';
			break;
		
		case 14:
			$status_info_human_interval = '14 minutes';
			break;
		
		case 15:
			$status_info_human_interval = '15 minutes';
			break;
		
		case 16:
			$status_info_human_interval = '16 minutes';
			break;
		
		case 17:
			$status_info_human_interval = '17 minutes';
			break;
		
		case 18:
			$status_info_human_interval = '18 minutes';
			break;
		
		case 19:
			$status_info_human_interval = '19 minutes';
			break;
		
		case 20:
			$status_info_human_interval = '20 minutes';
			break;
		
		case 25:
			$status_info_human_interval = '25 minutes';
			break;
		
		case 30:
			$status_info_human_interval = '30 minutes';
			break;
		
		case 60:
			$status_info_human_interval = '1 hour';
			break;
		
		case 90:
			$status_info_human_interval = '1.5 hours';
			break;
		
		case 120:
			$status_info_human_interval = '2 hours';
			break;
		
		case 180:
			$status_info_human_interval = '8 hours';
			break;
		} // End switch($interval){
	return $status_info_human_interval;
	} // End function statusinfo_refresh_rates($interval) {


function statusinfo_starts_with($statusinfo_check_value,$statusinfo_check_string) {
	return preg_match('/' . $statusinfo_check_value . '/', $statusinfo_check_string);
	} // End function statusinfo_starts_with($statusinfo_check_value,$statusinfo_check_string) {


function statusinfo_explode_string($statusinfo_explode_value,$statusinfo_explode_string) {
	$statusinfo_exploded_string = explode($statusinfo_explode_value, $statusinfo_explode_string, 2);
	return $statusinfo_exploded_string[1];
	} // End function statusinfo_explode_string($statusinfo_explode_value,$statusinfo_explode_string) {

?>
